;****************************************************************************;
;	COUNTRY PARAMETERS FOR	FRANCE
;****************************************************************************;

?CCODE:		DB	5 	; Country code
?INTER:		DB	'FR '	; International code
?INTCODE:	DB	'19 '	; International access dial code
?TONEA:				; Parameters used to setup toneA filter
				; (THD) changed to detect BUSY for FRANCE	
              DW            $0937         ; A3 BQD 1 
              DW            $EFB8         ; A2 BQD 1 
              DW            $0997         ; A1 BQD 1 
              DW            $C289         ; B2 BQD 1 
              DW            $757E         ; B1 BQD 1 
              DW            $0937         ; A3 BQD 2 
              DW            $EDA6         ; A2 BQD 2 
              DW            $0997         ; A1 BQD 2 
              DW            $C289         ; B2 BQD 2 
              DW            $7377         ; B1 BQD 2 
?DAGCRF:	DW	$FF00	; DAGCRF
?DIALT_THRESH:	DW	$0200	;DPL experimental value of THRESHU

;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!?PROG_THRESH:	DW	$0100 	;DPL experimental value of THRESHU

?PROG_THRESH:	DW	$00B0 	;DPL experimental value of THRESHU
;---------------------------------------------------------------------------

;	BUSY TONE
;	406Hz / -10dBm, 500ms/500ms	D      PASS
;	440Hz / -10dBm, 500ms/500ms	D      PASS
;	474Hz / -10dBm, 500ms/500ms	D      PASS
;	406Hz / -40dBm, 500ms/500ms	D      PASS
;	440Hz / -40dBm, 500ms/500ms	D      PASS
;	474Hz / -40dBm, 500ms/500ms	D      PASS
;	440Hz / -20dBm, 450ms/450ms	D      PASS
;	440Hz / -20dBm, 550ms/550ms	D      PASS
;	440Hz / -50dBm, 500ms/500ms	R      PASS
;	440Hz / -20dBm, 600ms/600ms	R      PASS
;	440Hz / -20dBm, 400ms/400ms	R      PASS
;	250Hz / -10dBm, 500ms/500ms	R      PASS
;	600Hz / -10dBm, 500ms/500ms	R      PASS


?ALTTONE:			; Parameters used for alt setup of toneA
	
			DW	$0DA1	; A3 Biquad1
			DW	$E9C9	; A2 Biquad1
			DW	$0F6D	; A1 Biquad1
			DW	$C5A2	; B2 Biquad1
			DW	$70BA	; B1 Biquad1
			DW	$0E37	; A3 Biquad2
			DW	$E269	; A2 Biquad2
			DW	$0F6D	; A1 Biquad2
			DW	$C505	; B2 Biquad2
			DW	$7643	; B1 Biquad2
?ALT_DAGCRF:		DW	$FF00	; DAGCRF

;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!?ALT_DIALT_THRESH:	DW	$0200	;DPL experimental value of THRESHU

?ALT_DIALT_THRESH:	DW	$0500	;DPL experimental value of THRESHU
;---------------------------------------------------------------------------

;used for IT1 and IT2tones detection (French PTT 1108)
	

.IF	(DPConfig=V34)		;VFC
?LOW_DIALLEVEL: DW      $1200   ; -8 dBm low band dial level
?HIGH_DIALLEVEL:DW      $1700   ; -6  dBm high band dial level
.ELSE				;DPL and DP

;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!?LOW_DIALLEVEL: DW      $1184   ; -8 dBm low band dial level
;!!!?HIGH_DIALLEVEL:DW      $160D   ; -6  dBm high band dial level

?LOW_DIALLEVEL: DW      $128E   ; -8 dBm low band dial level
?HIGH_DIALLEVEL:DW      $175C   ; -6  dBm high band dial level
;---------------------------------------------------------------------------

.ENDIF
?LOW_DIALLEVEL_SPK:	DW	$221F	; Speakerphone default: -6 dbm
?HIGH_DIALLEVEL_SPK:    DW	$2B5B	; Speakerphone default: -4 dbm 

?ANSWERSTABLE:	DB	50	; *10ms, Min. answer tone stable time
				; (THD) 500ms answer tone validation
.IFDEF ISDN
?RINGPERIOD	DB	20	;Half ring period: 20ms  
?RINGCADENCEON  DW	1500	;Ring cadence ON:  1,5s
?RINGCADENCEOFF DW	3500	;Ring cadence OFF: 3,5s
.ENDIF

;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!?RINGMIN:	DW	42H	; Value for min ring freq detection (14Hz)

?RINGMIN:	DW	20H	; Value for min ring freq detection (30Hz)
;---------------------------------------------------------------------------

?RINGMAX:	DW	0EH	; Value for max ring freq detection (68Hz)
				; This is assuming half wave rectifier
				; (ie. 1 pulses per ringing signal period)

;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!?RING_LIMIT:	DB	19	; No of 10 ms UNITS required to validate ring

?RING_LIMIT:	DB	60	; No of 10 ms UNITS required to validate ring
;---------------------------------------------------------------------------

?NUMBER_OF_TONES:		.DB	2
?NUMBER_OF_PHASES:		.DB	1	; For ringback detection.

?CAD_TABLE:

;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!?MIN_BUSY_ON_PH1:		.DW	40	; 0.5 s +- 0.1 s
;!!!?MAX_BUSY_ON_PH1:		.DW	60	;
;!!!?MIN_BUSY_OFF_PH1:		.DW	40	; 0.5 s +- 0.1 s
;!!!?MAX_BUSY_OFF_PH1:		.DW	60	; Incresed by 5 - for PTT
;!!!?NUM_BUSY_CYC_PH1:		.DB	3	;

?MIN_BUSY_ON_PH1:		.DW	20	; 0.5 s +- 0.1 s
?MAX_BUSY_ON_PH1:		.DW	80	;
?MIN_BUSY_OFF_PH1:		.DW	20	; 0.5 s +- 0.1 s
?MAX_BUSY_OFF_PH1:		.DW	80	; Incresed by 5 - for PTT
?NUM_BUSY_CYC_PH1:		.DB	4	;detection time 3 - 6s
;---------------------------------------------------------------------------

?MIN_RINGBACK_ON_PH1:		.DW     120	; 1.5 s +-0.15 s
?MAX_RINGBACK_ON_PH1:		.DW     180
?MIN_RINGBACK_OFF_PH1:		.DW     280	; 3.5 s +-0.35 s
?MAX_RINGBACK_OFF_PH1:		.DW     420
?NUM_RINGBACK_CYC_PH1:		.DB	1

?MIN_CONGEST_ON_PH1:		.DW	40	; 0.5 s +- 0.1 s
?MAX_CONGEST_ON_PH1:		.DW	60
?MIN_CONGEST_OFF_PH1:		.DW	40	; 0.5 s +- 0.1 s
?MAX_CONGEST_OFF_PH1:    	.DW	60
?NUM_CONGEST_CYC_PH1:		.DB	3

?MIN_DIALTONE1_ON_PH1: 		.DW	0
?MAX_DIALTONE1_ON_PH1:		.DW	0
?MIN_DIALTONE1_OFF_PH1:		.DW	0
?MAX_DIALTONE1_OFF_PH1:    	.DW	0
?NUM_DIALTONE1_CYC_PH1:		.DB	1

?MIN_DIALTONE2_ON_PH1: 		.DW	0
?MAX_DIALTONE2_ON_PH1:		.DW	0
?MIN_DIALTONE2_OFF_PH1:		.DW	0
?MAX_DIALTONE2_OFF_PH1:    	.DW	0
?NUM_DIALTONE2_CYC_PH1:		.DB	1

; PHASE 2

?MIN_BUSY_ON_PH2:  		.DW	0
?MAX_BUSY_ON_PH2:		.DW	0
?MIN_BUSY_OFF_PH2:		.DW	0
?MAX_BUSY_OFF_PH2:		.DW	0
?NUM_BUSY_CYC_PH2:		.DB	1

?MIN_RINGBACK_ON_PH2:		.DW	0
?MAX_RINGBACK_ON_PH2:		.DW	0
?MIN_RINGBACK_OFF_PH2:		.DW	0
?MAX_RINGBACK_OFF_PH2:		.DW	0
?NUM_RINGBACK_CYC_PH2:		.DB	1

?MIN_CONGEST_ON_PH2:		.DW	0
?MAX_CONGEST_ON_PH2:		.DW	0
?MIN_CONGEST_OFF_PH2:		.DW	0
?MAX_CONGEST_OFF_PH2:     	.DW	0
?NUM_CONGEST_CYC_PH2:		.DB	1

?MIN_DIALTONE1_ON_PH2: 		.DW	0
?MAX_DIALTONE1_ON_PH2:		.DW	0
?MIN_DIALTONE1_OFF_PH2:		.DW	0
?MAX_DIALTONE1_OFF_PH2:    	.DW	0
?NUM_DIALTONE1_CYC_PH2:		.DB	1

?MIN_DIALTONE2_ON_PH2: 		.DW	0
?MAX_DIALTONE2_ON_PH2:		.DW	0
?MIN_DIALTONE2_OFF_PH2:		.DW	0
?MAX_DIALTONE2_OFF_PH2:    	.DW	0
?NUM_DIALTONE2_CYC_PH2:		.DB	1

;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!?CAD_DEB:		.DB	30	; To allow 30ms silence

?CAD_DEB:		.DB	40	; To allow 30ms silence
;---------------------------------------------------------------------------

; Pulse dialling information is contained in section 5.3 of ETS300-001
					; Make-Break nominal value: 33-67
?PULSE_MAKE_OFFSET:	DB	0	; Pulse make offset (0 -> 33) 
?PULSE_BREAK_OFFSET:	DB	0	; Pulse break offset (0 -> 67)
?PULSESETUP:		DB	0	; Pulse dial setup time 5.3.2
?PULSECLEAR:		DB	0	; Pulse dial clear time
?PULSEINTERD:		DB	87	; 90 (900ms) - 3 (Make tm) - 0 (clear
					; time) - 0 (setup tm)    5.3.a
					; Pulse dial interdigit time 5.3.4.1
					; France 900 +-100   5.3.4.1
?DIALCODE:		DB	0	; Dial Pulse code

;                                                   NUMBER                 
;                                   CODE |  1  2  3  4  5  6  7  8  9  0   
;                                   ------------------------------------   
;                                   0000 :  1  2  3  4  5  6  7  8  9 10   
;                                   0001 :  9  8  7  6  5  4  3  2  1 10   
;                                   0002 :  2  3  4  5  6  7  8  9 10  1   
;                                                   PULSES                 

; Values for WCEM with French DAA.  Note MUTE relay is used, but
; not as a zero-ohm-dialling relay.  Nevertheless, it must be high
; at all times during pulse dialling, and low otherwise.
;
;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!?ONHKCODE:	DB	43H	; Relay control for on hook action
;!!!?OFFHKCODE:	DB	42H	; Relay control for off hook action
;!!!?MAKECODE:	DB	42H	; Relay control for make action
;!!!?BRKCODE:	DB	04H	; Relay control for break action
;!!!?SETCODE:	DB	46H	; Relay control for set action
;!!!?CLRCODE:	DB	42H	; Relay control for clear action
;!!!?CIDONCODE:	DB	43H	; Caller ID not used WCEM

;ACFSP use low active of PE1 (bit1) as voice relay instead of bit5
;Thus, bit1 must be reset (low active) if bit5 is set (high active) 
;---------------------------------------------------------------------------
   .IFDEF	ACFSP
; For ACFSP 	Bit 0 = Off hook (active low)
;		Bit 1 = Voice (active low)
;		Bit 2 = unused
;		Bit 3 = unused
; 		Bit 4 = Caller ID (active high)
;		Bit 5 = unused
;		Bit 6 = Pulse (NVM_DATA) (active low)
;		Bit 7 = unused
.IFDEF ISDN
; The Table below defines the relays control bits 
; 
; 
; Name of the Control bit	Voice	CID	RLY4	RLY3	 RLY2	   RLY1	
; Controled Pin if ISDN		PE3	PE0	RB	PE2	 PE1	   RA
; Name of the Relay		Voice	CLID	Not Use	Ringline PhoneRing OH
?ONHKCODE:	DB	34H	; Relay control for on hook action
?OFFHKCODE:	DB	35H	; Relay control for off hook action
?MAKECODE:	DB	35H	; Relay control for make action
?BRKCODE:	DB	35H	; Relay control for break action
?SETCODE:	DB	35H	; Relay control for set action
?CLRCODE:	DB	35H	; Relay control for clear action
?CIDONCODE:	DB	24H	; Relay control for Caller ID on

.ELSE

?ONHKCODE:	DB	43H	;Hook open,Voice open,CID open,Pulse open	
?OFFHKCODE:	DB	40H	;Hook closed,Voice closed,CID open,Pulse open
?MAKECODE:	DB	00H	;Hook closed, Voice closed,CID open,Pulse closed
?BRKCODE:	DB	01H	;Hook open, Voice closed, CID open,Pulse closed
?SETCODE:	DB	00H	;Hook closed, Voice closed,CID open,Pulse closed
?CLRCODE:	DB	40H	;Hook closed, Voice closed, CID open,Pulse open
?VON_OFFHKCODE:	DB	40H	;Hook closed, Voice closed, CID open,Pulse open
?CIDONCODE:	DB	53H	;Hook open, Voice open, CID closed,Pulse open  
.ENDIF
   .ELSE
; For ACISP     Bit 0 = Off hook (active low)
;               Bit 1 = Pulse (active low)
;               Bit 2 = unused
;            ?  Bit 3 = unused
;               Bit 4 = Caller ID (active high)
;               Bit 5 = Voice (active high)
;            ?  Bit 6 = Pulse (NVM_DATA) (active low)
;               Bit 7 = unused

?ONHKCODE:      DB      4FH     ;Hook open,Voice open,CID open,Pulse open
?OFFHKCODE:     DB      4EH     ;Hook closed,Voice closed,CID open,Pulse open
?MAKECODE:      DB      4EH     ;Hook closed, Voice closed,CID open,Pulse closed
?BRKCODE:       DB      4FH     ;Hook open, Voice closed, CID open,Pulse closed
?SETCODE:       DB      4EH     ;Hook closed, Voice closed,CID open,Pulse closed
?CLRCODE:       DB      4EH     ;Hook closed, Voice closed, CID open,Pulse open
?VON_OFFHKCODE: DB      6EH     ;Hook closed, Voice closed, CID open,Pulse open
?CIDONCODE:     DB      5FH     ;Hook open, Voice open, CID closed,Pulse open

   .ENDIF ;ACFSP

;-- Three/Six Relay settings :
;-- bit 7 specifies the number of valid relays
;-- Three:      bit 7 = 1       1XXXxxxX
;--  bit 0=~offhook, 4=callid, 5=voice
;--  For Voice View:
;--  bit 6 specifies the ordering of relays
;--      6 = 0 -> relay bit order 4,0,5
;--      6 = 1 -> relay bit order 4,5,0 with 10-50ms wait between 5 and 0
;--  other bits are consistent with previous codes.
;-- Six:        bit 7 = 0       0XXXXXXX
;--  bit 0=~offhook, 1=~pulse, 2=RLY3, 3=RLY4, 4=callid, 5=voice
;--  For Voice View:
;--  bit 6 specifies the ordering of relays
;--      6 = 0 -> relay bit order 1,2,3,4,0,5
;--      6 = 1 -> relay bit order 1,2,3,4,5,0 with 10-50ms wait between 5 and 0
.IFNZ   PARALLEL                ;For Parallel:
?ONHK_36:       DB      CBH     ; 3 relay on hook action
?CID_36:        DB      DBH     ; 3 relay on hook, CID
?OFFHK_36:      DB      A2H     ; 3 relay off hook, VOICE (mute handset)
?HANDSETOFF_36: DB      82H     ; off hook (keep handset unmute while offhook)
.ELSE                           ;Not Parallel:
?ONHK_36:       DB      4BH     ; 6 relay on hook action
?CID_36:        DB      5BH     ; 6 relay on hook, CID
?OFFHK_36:      DB      02H     ; 6 relay off hook (mute handset)
?HANDSETOFF_36: DB      0AH     ; off hook (keep handset unmute while offhook)
.ENDIF                          ;End Parallel


?EARTH_DURATION:DB	50	; Delay for earth relay to be set (500mS)

; DTMF dialling parameters in section 5.4 of ETS300-001
; The Tone on time and interdigit duration are wrong in ETS300, the
; french specs take precedence.
; For 144DP and 144DPL, 
; N=T x 2.4
; where N=decimal value of parameter below, and T = time in ms.
; (Values shown are decimal)
?TONEONTIME:	DW	180	; DTMF tone on time: (=75 ms)
;				  France requires 65-90 ms.
?TONEINTERD:	DW	180	; DTMF tone interdigit time: (=75 ms)
;				; France requires 65-90 ms.
?DIALSTABLE:	DB	120	; Unit 10ms. time for dial tone to be
;				; detected (France = 2 seconds) 5.2.1
?W_DIALSTABLE:	DW	120	; Same time for secondary dial tone by default
; French spec here is different than ETS300-001, we should detect dial
; tone between 1 and 2 seconds.

; Blacklisting actions: 5.6.7
; These parameters are derived from French specs, not ETSI
; Important: We no longer differentiate erroneous and ineffective calls.

?NODIALTONE:		DB 	0
?NUMBER_BUSY:		DB 	3
?RING_TIMEOUT:		DB 	3
?ANSWER_TIMEOUT:	DB 	3
?VOICEANSWER:		DB 	3
?KEY_ABORT     		DB	3

?OGM_DELAY:             DB      20      ; Out Going Msg delay timer (x10ms)

?MININTERDLY:	DB	6	; Min. time between calls 5.6.7.1
?BLCOLDELAY:	DW	0	; 
?BLDELAY1:	DW	0	; Delay time #1
?BLDELAY2:	DW	60	; Delay time #2 (1 minute)
?BLDELAY3:	DW	0	; Delay time #3
?BLDELAY4:	DW	0	; Delay time #4
?BLDELAY5:	DW	720	; Delay time #5 (12 minutes)
?BLDELAY6:	DW	0	; Delay time #6
?BLFINALDELAY:	DW	FFFFH	; Final delay time
?DELAY1COUNT:	DB	0	; Number of tries delay #1
?MAXCOLTRIES:	DB  	0	; Max consecutive number no dial tone
?MAXTRIES:	DB	6	; Max. number of tries
?MAXTRIES_2:	DB  	0	; Blacklisting added

;
; The following byte adjust the preferred tx lvl in the S-registers.
; TLVLADJ, which is in a 2's complement form, adjusts the tx lvl in 
; decrement or increment of 1dB.  For example, TLVLADJ=02 means that the 
; actual transmit level output of the DP will be 2 dB less than the S91 
; value (Usually, this is used to compensate for a DAA that has 2dB 
; gain); and if S91=10, the actual output from the DP will be 
; 10+02=12 (-12 dBm).  Another example, if TLVLADJ=FE and S91=10, the
; actual transmit level output of the DP will be 10-02=8 (-8 dBm).

?TLVLADJ:	DB	0	; TLVL register adjustment

;
; The following two bytes adjust the transmit level inside the DSP (before D/A
; converter), and can be used for fine tuning the transmit level.

; note that the parameter Hex value has to be calculated from the formula
; defined in the RC96DP(L) Modem Designer's Guide Function No 12.
; Also note that the TX_DIGITAL_OFFSET works only for non-FSK modes.  For
; FSK modes the parameter FSK_TX_DIG_OFFSET is used, and follows a different
; (and undocumented) formula than the TX_DIGITAL_OFFSET.

.IF	DPConfig=DPL	;DP uses another offsets table (in PROF)
?TX_DIGITAL_OFFSET:	DW	$4000	;Default values but give about
?FSK_TX_DIG_OFFSET:	DW	$0000	; -0.5 dB offset
.ENDIF

; The Extended RTH bit (XRTH) controls the reduction of RLSD by approximatively
; 5 dB. The amount of threshold reduction (offset) is useful for compensating 
; for any loss or gain that may be introduced by the DAA/hybrid used.
; Following are results with differents offset values
; 	XRTH_OFFSET	OFF	ON
;	    09	      -44,4   -41,2
;	    05	      -46     -42,9
;	    00	      -47,4   -44,7	default value (no offset)
;	    FD	      -48,6   -45,9
;	    FA	      -49,9   -46,8
;	  	
.IF 	(DPConfig=V34)
?XRTH_OFFSET:		DB	0
.IF (SVDConfig=DSVD).OR.(SVDConfig=BothDSVD)			; If DSVD
?DSVD_Tone_Level:	DB	06H
.ENDIF					; END DSVD
.ENDIF

?CTRY_FLAG1_PRM:DB	01100000B	; Option flags

;	Option_flag 1
;		bit 0  BLINDDIALENA	Blind Dialing is permitted
;		bit 1  ADAPTDIAL	Enable Adaptive Dialing
;		bit 2  GRNDENA		Enables Earth Relay 
;               bit 3  unused
;		bit 4  LINESENSE	Enables line current sense 5.6.2
;		bit 5  ALTDIALTONE	Use the Alternate filter for Dial Tone
;		bit 6  CALLTENABLE	Enables the calling tone
;		bit 7  CallID_Enable	Enable Caller ID

?CTRY_FLAG2_PRM:DB	00000100B


;	Option_flag 2
;		bit 0  BLACKDISABLE	Disables all Blacklisting
;		bit 1  BLCLRIFANY	Clear whole BL if any number succeeds
;		bit 2  GUARD1800ENA	Enforces the 1800 Hz guard tone
;		bit 3  FRANCE_ANSWER  	Detection of tone and silence
;		bit 4  CHECK_&P		If it is set then check the &P command
;               bit 5  V23_DISABLED	Disables V23 answer automode
;		bit 6  PTT_STRAP_ENA	Enables monitoring of PTT strap
;		bit 7  NO_LINE_REV_CHK	If set, don't check for line reversal

?CTRY_FLAG3_PRM:	DB	00000000B

;	Option_flag 3
;		bit 0  ATH1_DISABLED		Disable ATH1
;		bit 1  NO_PULSE_AFTER_TONE 	Disable ATDTxxPyy
;		bit 2  NO_PULSE_DIALING		Disables pulse dialing
;		bit 3  NO_ABCD			Disables DTMF A,B,C,D digits
;					; 5.4.3 (F) can dial ABCD
;               bit 4  CCT_FAX			Sends CCT fax header
;               bit 5  unused
;		bit 6  ATX_DISABLE_BUSY		ATX0 or X1 or X2 disable busy
;		bit 7  SWISS_BUSY_WA		Enables Swiss Busy workaround

?S_REG:		;Up to 12 registers can be limited
		DB	0,0,2,0			;  0 <= Sreg  0 <=   2
						; 5-15 seconds, 6.3.1
		DB	6,6,12,8		;  6 <= Sreg  6 <=  12
; Dialling must start within 3 seconds of application of dial tone 5.6.3
						; 5.6.5  35-60
;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!		DB	7,36,58,55		; 36 <= Sreg  7 <=  58
;!!!		DB	10,0,255,14		;  0 <= Sreg 10 <= 255

		DB	7,20,150,60		;  20 <= Sreg  7 <=  150
		DB	8,2,2,2 		;  Sreg  8 = 2   fixed
		DB	10,14,254,14		;  14 <= Sreg 10 <= 254
;---------------------------------------------------------------------------

		DB	28,255,0,8		; default &P1
		DB	29,27,27,27		; 27 <= Sreg 29 <=  27
						; 9.1.1 270 +/-50 ms
;@@@ -ESTelecom Rev. 01 item #14- @@@ 
;---------------------------------------------------------------------------
;!!!	; Max 3minutes for France 6.4.2.1 (F)1
;!!!		DB	30,0,255,18		; Inactivity timer 5.6.6
;!!!
;!!!		DB	91,0,15,10		;  0 <= Sreg 91 <=  15
;!!!		DB	92,0,15,10		;  0 <= Sreg 92 <=  15

		DB	30,1,17,17		; Inactivity timer 5.6.6
		DB	91,7,15,10		;  7 <= Sreg 91 <=  15
		DB	92,7,15,10		;  7 <= Sreg 92 <=  15
;---------------------------------------------------------------------------
						; 4.4.1
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF			;Flag end of table

