;*************************************************************************;
;	COUNTRY PARAMETERS FOR	GERMANY
;*************************************************************************;

?CCODE:		DB	6 	; Country code
?INTER:		DB	'GER'	; International code
?INTCODE:	DB	'00 '	; International access dial code
	
		DW	$081C	; A3 Biquad1
		DW	$EEFF	; A2 Biquad1
		DW	$08FC	; A1 Biquad1
		DW	$C505	; B2 Biquad1
		DW	$742F	; B1 Biquad1
		DW	$079B	; A3 Biquad2
		DW	$F904	; A2 Biquad2
		DW	$08FC	; A1 Biquad2
		DW	$C63E	; B2 Biquad2
		DW	$6E34	; B1 Biquad2
?DAGCRF:	DW	$FF00	; DAGCRF
?DIALT_THRESH:	DW	$20C0	;DPL experimental value of THRESHU

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?PROG_THRESH:	DW	$0100	;DPL experimental value of THRESHU

?PROG_THRESH:	DW	$00A0	;DPL experimental value of THRESHU
;-------------------------------------------------------------------------

;		f=250 Hz	Thresh=  >0  dbm (measured on RXA)
;		f=425 Hz	Thresh=-42 dbm (measured on RXA)
;		f=440 Hz	Thresh=-44 dbm (measured on RXA)
;		f=455 Hz	Thresh=-43 dbm (measured on RXA)
;		f=600 Hz	Thresh=  >0  dbm (measured on RXA)
;		f=1300 Hz	Thresh=  >0  dbm (measured on RXA)
;
;used for progress tone detection
;progress tone detection operating down to -40 dBm and with levels of calling
;tones up to -3dBm (measured on RXA)
;while transmitting at -5 dBm, it has been measured that busy tone (440Hz)could
;be detected down to -34 dBm (RXA). Note that the result depend on the level of
;calling tone rejected on RXA (DAA dependent).


?ALTTONE:			; Parameters used for alt setup of toneA
	
			DW	$14C8	; A3 Biquad1
			DW	$D024	; A2 Biquad1
			DW	$1C19	; A1 Biquad1
			DW	$D0AB	; B2 Biquad1
			DW	$69F2	; B1 Biquad1
			DW	$D314	; A3 Biquad2
			DW	$DDD3	; A2 Biquad2
			DW	$1C19	; A1 Biquad2
			DW	$D0AB	; B2 Biquad2
			DW	$6583	; B1 Biquad2
?ALT_DAGCRF:		DW	$FFD0	; DAGCRF
?ALT_DIALT_THRESH:	DW	$0AC0	;DPL experimental value of THRESHU

;
;		f=160 Hz	Thresh=  >0  dbm (measured on RXA)
;		f=315 Hz	Thresh=-40 dbm (measured on RXA)
;		f=425 Hz	Thresh=-43 dbm (measured on RXA)
;		f=440 Hz	Thresh=-43 dbm (measured on RXA)
;		f=455 Hz	Thresh=-43 dbm (measured on RXA)
;		f=900 Hz	Thresh=  >0  dbm (measured on RXA)
;
;440Hz threshold has been measured at -38 dbm (??? but still in the German spec)


.IF	(DPConfig=V34)		;VFC
?LOW_DIALLEVEL:	DW	$1200	; -8.5 dBm low band dial level
?HIGH_DIALLEVEL:DW	$1700	; -6.0 dBm high band dial level
.ELSE				;DPL and DP

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?LOW_DIALLEVEL:	DW	$1089	; -8.5 dBm low band dial level
;!!!?HIGH_DIALLEVEL:    DW	$160D	; -6.0 dBm high band dial level

?LOW_DIALLEVEL:	DW	$0A6F	; -12 dBm low band dial level
?HIGH_DIALLEVEL:DW	$0D23	; -10 dBm high band dial level
;-------------------------------------------------------------------------

.ENDIF
?LOW_DIALLEVEL_SPK:	DW	$221F	; Speakerphone default: -6 dbm
?HIGH_DIALLEVEL_SPK:    DW	$2B5B	; Speakerphone default: -4 dbm 

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?ANSWERSTABLE:	DB	10	; *10ms, Min. answer tone stable time

?ANSWERSTABLE:	DB	60	; *10ms, Min. answer tone stable time
;-------------------------------------------------------------------------

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?RINGMIN:	DW	32H	; Value for min ring freq detection (20Hz)

?RINGMIN:	DW	30H	; Value for min ring freq detection (20Hz)
;-------------------------------------------------------------------------

?RINGMAX:	DW	0EH	; Value for max ring freq detection (60Hz)
				; This is assuming half wave rectifier
				; (ie. 1 pulses per ringing signal period)

?RING_LIMIT:	DB	15	; No of 10 ms UNITS required to validate ring
				; 
?NUMBER_OF_TONES:		.DB	5
?NUMBER_OF_PHASES:		.DB	1	; For ringback detection.

?CAD_TABLE:

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?MIN_BUSY_ON_PH1:		.DW	10	;0.48 s +- 0.048 s
;!!!?MAX_BUSY_ON_PH1:		.DW	65
;!!!?MIN_BUSY_OFF_PH1:		.DW	10	;0.48 s +- 0.048 s
;!!!?MAX_BUSY_OFF_PH1:		.DW	65
;!!!?NUM_BUSY_CYC_PH1:		.DB	3

?MIN_BUSY_ON_PH1:		.DW	08	;97-528 ms
?MAX_BUSY_ON_PH1:		.DW	65
?MIN_BUSY_OFF_PH1:		.DW	10	;216-578 ms
?MAX_BUSY_OFF_PH1:		.DW	65
?NUM_BUSY_CYC_PH1:		.DB	3
;-------------------------------------------------------------------------

?MIN_RINGBACK_ON_PH1:		.DW     80	;1 s +- 0.1 s
?MAX_RINGBACK_ON_PH1:		.DW     120
?MIN_RINGBACK_OFF_PH1:		.DW     320	;4 s +- 0.4 s
?MAX_RINGBACK_OFF_PH1:		.DW     480
?NUM_RINGBACK_CYC_PH1:		.DB	1

?MIN_CONGEST_ON_PH1:		.DW	20	;0.24s
?MAX_CONGEST_ON_PH1:		.DW	28
?MIN_CONGEST_OFF_PH1:		.DW	20	;0.24s
?MAX_CONGEST_OFF_PH1:    	.DW	28
?NUM_CONGEST_CYC_PH1:		.DB	3

?MIN_DIALTONE1_ON_PH1: 		.DW	0
?MAX_DIALTONE1_ON_PH1:		.DW	0
?MIN_DIALTONE1_OFF_PH1:		.DW	0
?MAX_DIALTONE1_OFF_PH1:    	.DW	0
?NUM_DIALTONE1_CYC_PH1:		.DB	1

?MIN_DIALTONE2_ON_PH1: 		.DW	0
?MAX_DIALTONE2_ON_PH1:		.DW	0
?MIN_DIALTONE2_OFF_PH1:		.DW	0
?MAX_DIALTONE2_OFF_PH1:    	.DW	0
?NUM_DIALTONE2_CYC_PH1:		.DB	1

; PHASE 2

?MIN_BUSY_ON_PH2:  		.DW	0
?MAX_BUSY_ON_PH2:		.DW	0
?MIN_BUSY_OFF_PH2:		.DW	0
?MAX_BUSY_OFF_PH2:		.DW	0
?NUM_BUSY_CYC_PH2:		.DB	1

?MIN_RINGBACK_ON_PH2:		.DW	0
?MAX_RINGBACK_ON_PH2:		.DW	0
?MIN_RINGBACK_OFF_PH2:		.DW	0
?MAX_RINGBACK_OFF_PH2:		.DW	0
?NUM_RINGBACK_CYC_PH2:		.DB	1

?MIN_CONGEST_ON_PH2:		.DW	0
?MAX_CONGEST_ON_PH2:		.DW	0
?MIN_CONGEST_OFF_PH2:		.DW	0
?MAX_CONGEST_OFF_PH2:     	.DW	0
?NUM_CONGEST_CYC_PH2:		.DB	1

?MIN_DIALTONE1_ON_PH2: 		.DW	0
?MAX_DIALTONE1_ON_PH2:		.DW	0
?MIN_DIALTONE1_OFF_PH2:		.DW	0
?MAX_DIALTONE1_OFF_PH2:    	.DW	0
?NUM_DIALTONE1_CYC_PH2:		.DB	1

?MIN_DIALTONE2_ON_PH2: 		.DW	0
?MAX_DIALTONE2_ON_PH2:		.DW	0
?MIN_DIALTONE2_OFF_PH2:		.DW	0
?MAX_DIALTONE2_OFF_PH2:    	.DW	0
?NUM_DIALTONE2_CYC_PH2:		.DB	1

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?CAD_DEB:			.DB	0

?CAD_DEB:			.DB	30
;-------------------------------------------------------------------------


; Pulse dialling information is contained in section 5.3 of ETS300-001
					; Make-Break nominal value: 39-61
;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?PULSE_MAKE_OFFSET:		DB	$01	; Pulse make offset (+1 -> 40) 
;!!!?PULSE_BREAK_OFFSET:	DB	$FF	; Pulse break offset (-1 -> 60)
					; Make-Break nominal value: 33-67

?PULSE_MAKE_OFFSET:	DB	$05	; Pulse make offset (+7 -> 40) 
?PULSE_BREAK_OFFSET:	DB	$F8	; Pulse break offset (-7 -> 60)
;-------------------------------------------------------------------------

?PULSESETUP:	DB	0	; Pulse dial setup time 5.3.2
?PULSECLEAR:	DB	0	; Pulse dial clear time 5.3.5
?PULSEINTERD:	DB	80	; 84 (840ms) - 4 (Make tm) - 0 (clear tm)
				; - 0 (setup tm)    5.3.a
				; Unit 10ms Pulse interdigit time 5.3.4.1
				; Germ > 650ms (840ms recommended)
?DIALCODE:	DB	0	; Dial Pulse code

;                                                   NUMBER                 
;                                   CODE |  1  2  3  4  5  6  7  8  9  0   
;                                   ------------------------------------   
;                                   0000 :  1  2  3  4  5  6  7  8  9 10   
;                                   0001 :  9  8  7  6  5  4  3  2  1 10   
;                                   0002 :  2  3  4  5  6  7  8  9 10  1   
;                                                   PULSES                 

; @@ NOTE: 	Values set for US DAA as only other DAA
;		available at this time is the French one,
;               and it has no handset so LCS can't be
;               tested.   (11 JAN 93)

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?ONHKCODE:	DB	4BH	; Relay control for on hook action
;!!!?OFFHKCODE:	DB	42H	; Relay control for off hook action
;!!!?MAKECODE:	DB	01H	; Relay control for make action
;!!!?BRKCODE:	DB	43H	; Relay control for break action
;!!!?SETCODE:	DB	42H	; Relay control for set action
;!!!?CLRCODE:	DB	42H	; Relay control for clear action
;!!!?CIDONCODE:	DB	52H	; Caller ID not used WCEM

;ACFSP use low active of PE1 (bit1) as voice relay instead of bit5
;Thus, bit1 must be reset (low active) if bit5 is set (high active) 
;---------------------------------------------------------------------------
   .IFDEF	ACFSP
; For ACFSP 	Bit 0 = Off hook (active low)
;		Bit 1 = Voice (active low)
;		Bit 2 = unused
;		Bit 3 = unused
; 		Bit 4 = Caller ID (active high)
;		Bit 5 = unused
;		Bit 6 = Pulse (NVM_DATA) (active low)
;		Bit 7 = unused

?ONHKCODE:	DB	43H	;Hook open,Voice open,CID open,Pulse open	
?OFFHKCODE:	DB	40H	;Hook closed,Voice closed,CID open,Pulse open
?MAKECODE:	DB	00H	;Hook closed, Voice closed,CID open,Pulse closed
?BRKCODE:	DB	01H	;Hook open, Voice closed, CID open,Pulse closed
?SETCODE:	DB	00H	;Hook closed, Voice closed,CID open,Pulse closed
?CLRCODE:	DB	40H	;Hook closed, Voice closed, CID open,Pulse open
?VON_OFFHKCODE:	DB	40H	;Hook closed, Voice closed, CID open,Pulse open
?CIDONCODE:	DB	53H	;Hook open, Voice open, CID closed,Pulse open  
   .ELSE
; For ACISP     Bit 0 = Off hook (active low)
;               Bit 1 = Pulse (active low)
;               Bit 2 = unused
;            ?  Bit 3 = unused
;               Bit 4 = Caller ID (active high)
;               Bit 5 = Voice (active high)
;            ?  Bit 6 = Pulse (NVM_DATA) (active low)
;               Bit 7 = unused

?ONHKCODE:      DB      4FH     ;Hook open,Voice open,CID open,Pulse open
?OFFHKCODE:     DB      4EH     ;Hook closed,Voice closed,CID open,Pulse open
?MAKECODE:      DB      4EH     ;Hook closed, Voice closed,CID open,Pulse closed
?BRKCODE:       DB      4FH     ;Hook open, Voice closed, CID open,Pulse closed
?SETCODE:       DB      4EH     ;Hook closed, Voice closed,CID open,Pulse closed
?CLRCODE:       DB      4EH     ;Hook closed, Voice closed, CID open,Pulse open
?VON_OFFHKCODE: DB      6EH     ;Hook closed, Voice closed, CID open,Pulse open
?CIDONCODE:     DB      5FH     ;Hook open, Voice open, CID closed,Pulse open

   .ENDIF ;ACFSP

;-- Three/Six Relay settings :
;-- bit 7 specifies the number of valid relays
;-- Three:      bit 7 = 1       1XXXxxxX
;--  bit 0=~offhook, 4=callid, 5=voice
;--  For Voice View:
;--  bit 6 specifies the ordering of relays
;--      6 = 0 -> relay bit order 4,0,5
;--      6 = 1 -> relay bit order 4,5,0 with 10-50ms wait between 5 and 0
;--  other bits are consistent with previous codes.
;-- Six:        bit 7 = 0       0XXXXXXX
;--  bit 0=~offhook, 1=~pulse, 2=RLY3, 3=RLY4, 4=callid, 5=voice
;--  For Voice View:
;--  bit 6 specifies the ordering of relays
;--      6 = 0 -> relay bit order 1,2,3,4,0,5
;--      6 = 1 -> relay bit order 1,2,3,4,5,0 with 10-50ms wait between 5 and 0
.IFNZ   PARALLEL                ;For Parallel:
?ONHK_36:       DB      CBH     ; 3 relay on hook action
?CID_36:        DB      DBH     ; 3 relay on hook, CID
?OFFHK_36:      DB      A2H     ; 3 relay off hook, VOICE (mute handset)
?HANDSETOFF_36: DB      82H     ; off hook (keep handset unmute while offhook)
.ELSE                           ;Not Parallel:
?ONHK_36:       DB      4BH     ; 6 relay on hook action
?CID_36:        DB      5BH     ; 6 relay on hook, CID
?OFFHK_36:      DB      02H     ; 6 relay off hook (mute handset)
?HANDSETOFF_36: DB      0AH     ; off hook (keep handset unmute while offhook)
.ENDIF                          ;End Parallel


?EARTH_DURATION:DB	50	; Delay for earth relay to be set (500mS)

; DTMF dialling parameters in section 5.4 of ETS300-001
; For 144DP and 144DPL, 
; N=T x 2.4
; where N=decimal value of parameter below, and T = time in ms.
; (Values shown are decimal)

?TONEONTIME:	DW	216	; DTMF tone on time: (90ms)
			; Germ 80-100ms 5.4.7.2
?TONEINTERD:	DW	216	; DTMF tone interdigit time: (90ms)
			; Germ 80-100ms 5.4.7.2
?DIALSTABLE:	DB	200	; Min. time for dial tone to be present
			; 5.2.1 Must start dialling 800-5000ms after dial
			; tone application
?W_DIALSTABLE:	DW	200	; Same time for secondary dial tone by default

;@@@ -ESTelecom Rev. 01a item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?NODIALTONE:	DB 	68	;4+64
;!!!?NUMBER_BUSY:	DB 	68	;4+64
;!!!?RING_TIMEOUT:	DB 	68	;4+64
;!!!?ANSWER_TIMEOUT:	DB 	68	;4+64
;!!!?VOICEANSWER:	DB 	68	;4+64
;!!!?KEY_ABORT     	DB	68

?NODIALTONE:	DB	0
?NUMBER_BUSY:	DB 	65	;1+64
?RING_TIMEOUT:	DB 	65	;1+64
?ANSWER_TIMEOUT:DB 	65	;1+64
?VOICEANSWER:	DB 	65	;1+64
?KEY_ABORT     	DB	65	;1+64
?OGM_DELAY:             DB      20      ; Out Going Msg delay timer (x10ms)

;-------------------------------------------------------------------------

?MININTERDLY:	DB	5	; Min. time to delay beween calls

;@@@ -ESTelecom Rev. 01a item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?BLCOLDELAY:	DW	0	; 

?BLCOLDELAY:	DW	31	; 
;-------------------------------------------------------------------------

?BLDELAY1:	DW	5	; Delay time #1
?BLDELAY2:	DW	5	; Delay time #2
?BLDELAY3:	DW	0	; Delay time #3
?BLDELAY4:	DW	0	; Delay time #4
?BLDELAY5:	DW	0	; Delay time #5
?BLDELAY6:	DW	0	; Delay time #6
?BLFINALDELAY:	DW	7200	; Final delay time

;@@@ -ESTelecom Rev. 01a item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?DELAY1COUNT:	DB	2	; Number of tries delay #1
;!!!?MAXCOLTRIES:	DB  	12	; Max consecutive number no dial tone
;!!!?MAXTRIES:		DB	12	; Max. number of tries

?DELAY1COUNT:	DB	0	; Number of tries delay #1
?MAXCOLTRIES:	DB  	FFH	; Max consecutive number no dial tone
?MAXTRIES:	DB	FFH	; Max. number of tries
;-------------------------------------------------------------------------

?MAXTRIES_2:	DB  	0	; Blacklisting added
;
; The following byte adjust the preferred tx lvl in the S-registers.
; TLVLADJ, which is in a 2's complement form, adjusts the tx lvl in 
; decrement or increment of 1dB.  For example, TLVLADJ=02 means that the 
; actual transmit level output of the DP will be 2 dB less than the S91 
; value (Usually, this is used to compensate for a DAA that has 2dB 
; gain); and if S91=10, the actual output from the DP will be 
; 10+02=12 (-12 dBm).  Another example, if TLVLADJ=FE and S91=10, the
; actual transmit level output of the DP will be 10-02=8 (-8 dBm).

?TLVLADJ:	DB	0	; TLVL register adjustment

;
; The following two bytes adjust the transmit level inside the DSP (before D/A
; converter), and can be used for fine tuning the transmit level.

; note that the parameter Hex value has to be calculated from the formula
; defined in the RC96DP(L) Modem Designer's Guide Function No 12.
; Also note that the TX_DIGITAL_OFFSET works only for non-FSK modes.  For
; FSK modes the parameter FSK_TX_DIG_OFFSET is used, and follows a different
; (and undocumented) formula than the TX_DIGITAL_OFFSET.

.IF	DPConfig=DPL

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?TX_DIGITAL_OFFSET:	DW	$43CB	;DPL:	+0.5dB offset on tx level

?TX_DIGITAL_OFFSET:	DW	$4D00	;DPL:	+0.5dB offset on tx level
;-------------------------------------------------------------------------

?FSK_TX_DIG_OFFSET:	DW	$0040
.ENDIF

; The Extended RTH bit (XRTH) controls the reduction of RLSD by approximatively
; 5 dB. The amount of threshold reduction (offset) is useful for compensating 
; for any loss or gain that may be introduced by the DAA/hybrid used.
; Following are results with differents offset values
; 	XRTH_OFFSET	OFF	ON
;	    09	      -44,4   -41,2
;	    05	      -46     -42,9
;	    00	      -47,4   -44,7	default value (no offset)
;	    FD	      -48,6   -45,9
;	    FA	      -49,9   -46,8
;	  	
.IF 	(DPConfig=V34)
?XRTH_OFFSET:		DB	0
.IF (SVDConfig=DSVD).OR.(SVDConfig=BothDSVD)			; If DSVD
?DSVD_Tone_Level:	DB	06H
.ENDIF					; END DSVD
.ENDIF


;-------------------------------------------------------------------------
;!!!?CTRY_FLAG1_PRM:	DB	01110101B	; Option flags

?CTRY_FLAG1_PRM:	DB	01100001B	; Option flags
;-------------------------------------------------------------------------


;	Option_flag 1
;		bit 0  BLINDDIALENA	Blind Dialing is permitted
;		bit 1  ADAPTDIAL	Enable Adaptive Dialing
;		bit 2  GRNDENA		Enables Earth Relay 
;               bit 3  unused
;		bit 4  LINESENSE	Enables line current sense 5.6.2
;		bit 5  ALTDIALTONE	Use the Alternate filter for Dial Tone
;		bit 6  CALLTENABLE	Enables the calling tone
;		bit 7  CallID_Enable	Enable Caller ID


;-------------------------------------------------------------------------
;!!!?CTRY_FLAG2_PRM:	DB	00000110B

?CTRY_FLAG2_PRM:	DB	00000101B
;-------------------------------------------------------------------------


;	Option_flag 2
;		bit 0  BLACKDISABLE	Disables all Blacklisting
;		bit 1  BLCLRIFANY	Clear whole BL if any number succeeds
;		bit 2  GUARD1800ENA	Enforces the 1800 Hz guard tone
;		bit 3  FRANCE_ANSWER  	Detection of tone and silence
;		bit 4  CHECK_&P		If it is set then check the &P command
;               bit 5  V23_DISABLED	Disables V23 answer automode
;		bit 6  PTT_STRAP_ENA	Enables monitoring of PTT strap
;		bit 7  NO_LINE_REV_CHK	If set, don't check for line reversal

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!?CTRY_FLAG3_PRM:	DB	00010011B	;Enable CCT fax header

?CTRY_FLAG3_PRM:	DB	00000001B	
;-------------------------------------------------------------------------
					;and disable class 1
;	Option_flag 3
;		bit 0  ATH1_DISABLED		Disable ATH1
;		bit 1  NO_PULSE_AFTER_TONE 	Disable ATDTxxPyy
;		bit 2  NO_PULSE_DIALING		Disables pulse dialing
;		bit 3  NO_ABCD			Disables DTMF A,B,C,D digits
;               bit 4  CCT_FAX			Sends CCT fax header
;               bit 5  unused
;		bit 6  ATX_DISABLE_BUSY		ATX0 or X1 or X2 disable busy
;		bit 7  SWISS_BUSY_WA		Enables Swiss Busy workaround

?S_REG:			;Up to 12 registers can be limited

;@@@ -ESTelecom Rev. 01 item #13- @@@ 
;-------------------------------------------------------------------------
;!!!		DB	6,0,40,10		; 0<=S6<=40    default=10
;!!!						; 5.2.1 (D) 2 <40 seconds
;!!!		DB	7,0,100,60		; 0<=S7<=100   default=60
;!!!						; 5.6.5.1
;!!!		DB	10,20,100,20		; 20<=S10<=100 default=20
;!!!						; no info in ETS
;!!!		DB	29,6,12,8		; 6<=S29<=12   default=8
;!!!						; no info in ETS
;!!!		DB	91,6,6,6		; S91=6 fixed
;!!!		DB	92,6,6,6		; S92=6 fixed

		DB	0,0,5,0			; 0<=S0<=5 default=0
		DB	6,3,6,3			; 3<=S6<=6 default=3
		DB	10,20,254,20		; S10 max limited
		DB	28,255,0,8		; default &P1
		DB	29,17,17,17		; S29=8  fixed
		DB	91,13,13,13		; S91=13 fixed
		DB	92,13,13,13		; S92=13 fixed 
;-------------------------------------------------------------------------

		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF			;Flag end of table

