;****************************************************************************;
;	COUNTRY PARAMETERS FOR	NORWAY
;****************************************************************************;

?CCODE:		DB	11	; Country code
?INTER:		DB	'NOR'	; International code
?INTCODE:	DB	'095'	; International access dial code
?TONEA:				; Parameters used to setup toneA filter

		DW	$14AF	; A3 Biquad1
		DW	$D336	; A2 Biquad1
		DW	$186F	; A1 Biquad1
		DW	$CB01	; B2 Biquad1
		DW	$6F16	; B1 Biquad1
		DW	$143C	; A3 Biquad2
		DW	$DDEF	; A2 Biquad2
		DW	$186F	; A1 Biquad2
		DW	$CB01	; B2 Biquad2
		DW	$6990	; B1 Biquad2
?DAGCRF:	DW	$FF00	; DAGCRF
?DIALT_THRESH:	DW	$0688	;DPL experimental value of THRESHU
?PROG_THRESH:	DW	$0480	;DPL experimental value of THRESHU

;		f=250 Hz	Thresh=  >0  dbm (measured on RXA)
;		f=350 Hz	Thresh=-32.3 dbm (measured on RXA)
;		f=500 Hz	Thresh=-37.8 dbm (measured on RXA)
;		f=800 Hz	Thresh=  >0  dbm (measured on RXA)


?ALTTONE:			; Parameters used for alt setup of toneA

		DW	$09AE	; A3 Biquad1
		DW	$EBE5   ; A2 Biquad1
		DW	$0A81   ; A1 Biquad1
		DW	$C3C9	; B2 Biquad1
		DW	$7669	; B1 Biquad1
		DW	$0882	; A3 Biquad2
		DW	$F3D9	; A2 Biquad2
		DW	$0A81	; A1 Biquad2
		DW	$C3C9	; B2 Biquad2
		DW	$7086   ; B1 Biquad2
?ALT_DAGCRF:	DW	$FE00	; DAGCRF
?ALT_DIALT_THRESH:	DW	$0400	;DPL experimental value of THRESHU

;		f=250 Hz	Thresh=  >0  dbm (measured on RXA)
;		f=350 Hz	Thresh=-32.3 dbm (measured on RXA)
;		f=500 Hz	Thresh=-37.8 dbm (measured on RXA)
;		f=800 Hz	Thresh=  >0  dbm (measured on RXA)



.IF	(DPConfig=V34)		;VFC
?LOW_DIALLEVEL:	DW	$0CC0	; -11 dBm low band dial level
?HIGH_DIALLEVEL:DW	$1020	; -9  dBm high band dial level
.ELSE				;DPL and DP
?LOW_DIALLEVEL:	DW	$0C66	; -11 dBm low band dial level
?HIGH_DIALLEVEL:DW	$0F9C	; -9  dBm high band dial level
.ENDIF
?LOW_DIALLEVEL_SPK:	DW	$221F	; Speakerphone default: -6 dbm
?HIGH_DIALLEVEL_SPK:    DW	$2B5B	; Speakerphone default: -4 dbm 

?ANSWERSTABLE:	DB	10	; *10ms, Min. answer tone stable time


?RINGMIN:	DW	42H	; Value for min ring freq detection (14Hz)
?RINGMAX:	DW	0EH	; Value for max ring freq detection (68Hz)
				; This is assuming half wave rectifier
				; (ie. 1 pulses per ringing signal period)

?RING_LIMIT:	DB	19	; No of 10 ms UNITS required to validate ring
				; 
?NUMBER_OF_TONES:		.DB	3
?NUMBER_OF_PHASES:		.DB	1	; For ringback detection.

?CAD_TABLE:

?MIN_BUSY_ON_PH1:		.DW	8	;100ms-600ms
?MAX_BUSY_ON_PH1:		.DW	70
?MIN_BUSY_OFF_PH1:		.DW	8       ;100ms-600ms
?MAX_BUSY_OFF_PH1:		.DW	70
?NUM_BUSY_CYC_PH1:		.DB	3

?MIN_RINGBACK_ON_PH1:		.DW     80	;1 s +- 0.1 s
?MAX_RINGBACK_ON_PH1:		.DW     120
?MIN_RINGBACK_OFF_PH1:		.DW     320	;4 s +- 0.4 s
?MAX_RINGBACK_OFF_PH1:		.DW     480
?NUM_RINGBACK_CYC_PH1:		.DB	1

?MIN_CONGEST_ON_PH1:		.DW	10	;0.2 s +- 0.02 s
?MAX_CONGEST_ON_PH1:		.DW	30
?MIN_CONGEST_OFF_PH1:		.DW	10	;0.2 s +- 0.02 s
?MAX_CONGEST_OFF_PH1:    	.DW	30
?NUM_CONGEST_CYC_PH1:		.DB	3

?MIN_DIALTONE1_ON_PH1: 		.DW	0
?MAX_DIALTONE1_ON_PH1:		.DW	0
?MIN_DIALTONE1_OFF_PH1:		.DW	0
?MAX_DIALTONE1_OFF_PH1:    	.DW	0
?NUM_DIALTONE1_CYC_PH1:		.DB	1

?MIN_DIALTONE2_ON_PH1: 		.DW	0
?MAX_DIALTONE2_ON_PH1:		.DW	0
?MIN_DIALTONE2_OFF_PH1:		.DW	0
?MAX_DIALTONE2_OFF_PH1:    	.DW	0
?NUM_DIALTONE2_CYC_PH1:		.DB	1

; PHASE 2

?MIN_BUSY_ON_PH2:  		.DW	0
?MAX_BUSY_ON_PH2:		.DW	0
?MIN_BUSY_OFF_PH2:		.DW	0
?MAX_BUSY_OFF_PH2:		.DW	0
?NUM_BUSY_CYC_PH2:		.DB	3

?MIN_RINGBACK_ON_PH2:		.DW	0
?MAX_RINGBACK_ON_PH2:		.DW	0
?MIN_RINGBACK_OFF_PH2:		.DW	0
?MAX_RINGBACK_OFF_PH2:		.DW	0
?NUM_RINGBACK_CYC_PH2:		.DB	1

?MIN_CONGEST_ON_PH2:		.DW	0
?MAX_CONGEST_ON_PH2:		.DW	0
?MIN_CONGEST_OFF_PH2:		.DW	0
?MAX_CONGEST_OFF_PH2:     	.DW	0
?NUM_CONGEST_CYC_PH2:		.DB	3

?MIN_DIALTONE1_ON_PH2: 		.DW	0
?MAX_DIALTONE1_ON_PH2:		.DW	0
?MIN_DIALTONE1_OFF_PH2:		.DW	0
?MAX_DIALTONE1_OFF_PH2:    	.DW	0
?NUM_DIALTONE1_CYC_PH2:		.DB	1

?MIN_DIALTONE2_ON_PH2: 		.DW	0
?MAX_DIALTONE2_ON_PH2:		.DW	0
?MIN_DIALTONE2_OFF_PH2:		.DW	0
?MAX_DIALTONE2_OFF_PH2:    	.DW	0
?NUM_DIALTONE2_CYC_PH2:		.DB	1
?CAD_DEB:			.DB	0


; Pulse dialling information is contained in section 5.3 of ETS300-001
					; Make-Break nominal value: 33-67
?PULSE_MAKE_OFFSET:	DB	0	; Pulse make offset (0 -> 33) 
?PULSE_BREAK_OFFSET:	DB	0	; Pulse break offset (0 -> 67)
?PULSESETUP:	DB	5	; Pulse dial setup time
?PULSECLEAR:	DB	5	; Pulse dial clear time
?PULSEINTERD:	DB	80	; Pulse dial interdigit time
?DIALCODE:	DB	0	; Dial Pulse code

;                                                   NUMBER                 
;                                   CODE |  1  2  3  4  5  6  7  8  9  0   
;                                   ------------------------------------   
;                                   0000 :  1  2  3  4  5  6  7  8  9 10   
;                                   0001 :  9  8  7  6  5  4  3  2  1 10   
;                                   0002 :  2  3  4  5  6  7  8  9 10  1   
;                                                   PULSES                 

; Values for WCEM with French DAA.  Note MUTE relay is used, but
; not as a zero-ohm-dialling relay.  Nevertheless, it must be high
; at all times during pulse dialling, and low otherwise.
;ACFSP use low active of PE1 (bit1) as voice relay instead of bit5
;Thus, bit1 must be reset (low active) if bit5 is set (high active) 
;---------------------------------------------------------------------------
   .IFDEF	ACFSP
; For ACFSP 	Bit 0 = Off hook (active low)
;		Bit 1 = Voice (active low)
;		Bit 2 = unused
;		Bit 3 = unused
; 		Bit 4 = Caller ID (active high)
;		Bit 5 = unused
;		Bit 6 = Pulse (NVM_DATA) (active low)
;		Bit 7 = unused

?ONHKCODE:	DB	43H	;Hook open,Voice open,CID open,Pulse open	
?OFFHKCODE:	DB	40H	;Hook closed,Voice closed,CID open,Pulse open
?MAKECODE:	DB	00H	;Hook closed, Voice closed,CID open,Pulse closed
?BRKCODE:	DB	01H	;Hook open, Voice closed, CID open,Pulse closed
?SETCODE:	DB	00H	;Hook closed, Voice closed,CID open,Pulse closed
?CLRCODE:	DB	40H	;Hook closed, Voice closed, CID open,Pulse open
?VON_OFFHKCODE:	DB	40H	;Hook closed, Voice closed, CID open,Pulse open
?CIDONCODE:	DB	53H	;Hook open, Voice open, CID closed,Pulse open  
   .ELSE
; For ACISP     Bit 0 = Off hook (active low)
;               Bit 1 = Pulse (active low)
;               Bit 2 = unused
;            ?  Bit 3 = unused
;               Bit 4 = Caller ID (active high)
;               Bit 5 = Voice (active high)
;            ?  Bit 6 = Pulse (NVM_DATA) (active low)
;               Bit 7 = unused

?ONHKCODE:      DB      4FH     ;Hook open,Voice open,CID open,Pulse open
?OFFHKCODE:     DB      4EH     ;Hook closed,Voice closed,CID open,Pulse open
?MAKECODE:      DB      4EH     ;Hook closed, Voice closed,CID open,Pulse closed
?BRKCODE:       DB      4FH     ;Hook open, Voice closed, CID open,Pulse closed
?SETCODE:       DB      4EH     ;Hook closed, Voice closed,CID open,Pulse closed
?CLRCODE:       DB      4EH     ;Hook closed, Voice closed, CID open,Pulse open
?VON_OFFHKCODE: DB      6EH     ;Hook closed, Voice closed, CID open,Pulse open
?CIDONCODE:     DB      5FH     ;Hook open, Voice open, CID closed,Pulse open

   .ENDIF ;ACFSP

;-- Three/Six Relay settings :
;-- bit 7 specifies the number of valid relays
;-- Three:      bit 7 = 1       1XXXxxxX
;--  bit 0=~offhook, 4=callid, 5=voice
;--  For Voice View:
;--  bit 6 specifies the ordering of relays
;--      6 = 0 -> relay bit order 4,0,5
;--      6 = 1 -> relay bit order 4,5,0 with 10-50ms wait between 5 and 0
;--  other bits are consistent with previous codes.
;-- Six:        bit 7 = 0       0XXXXXXX
;--  bit 0=~offhook, 1=~pulse, 2=RLY3, 3=RLY4, 4=callid, 5=voice
;--  For Voice View:
;--  bit 6 specifies the ordering of relays
;--      6 = 0 -> relay bit order 1,2,3,4,0,5
;--      6 = 1 -> relay bit order 1,2,3,4,5,0 with 10-50ms wait between 5 and 0
.IFNZ   PARALLEL                ;For Parallel:
?ONHK_36:       DB      CBH     ; 3 relay on hook action
?CID_36:        DB      DBH     ; 3 relay on hook, CID
?OFFHK_36:      DB      A2H     ; 3 relay off hook, VOICE (mute handset)
?HANDSETOFF_36: DB      82H     ; off hook (keep handset unmute while offhook)
.ELSE                           ;Not Parallel:
?ONHK_36:       DB      4BH     ; 6 relay on hook action
?CID_36:        DB      5BH     ; 6 relay on hook, CID
?OFFHK_36:      DB      02H     ; 6 relay off hook (mute handset)
?HANDSETOFF_36: DB      0AH     ; off hook (keep handset unmute while offhook)
.ENDIF                          ;End Parallel

?EARTH_DURATION:DB	50	; Delay for earth relay to be set (500mS)


?TONEONTIME:	DW	223	; DTMF tone on time: (93 ms) 5.4.7.2
				; Norway = 65-130ms
?TONEINTERD:	DW	223	; DTMF tone interdigit time: (93 ms)
				; Norway = 65-130ms
?DIALSTABLE:	DB	150	; Unit 10ms Min time dial tone present 
				; 5.2.1 Norway must detect in <4seconds
?W_DIALSTABLE:	DW	150	; Same time for secondary dial tone by default

; Blacklisting 5.6.7
; For repeat calls, Norway must have dial tone detector.  Repeat calls are
; permitted when busy/congested detected (at least 3 pulses), when no dial
; tone is detected, and when ringing with no answer after 60 seconds is
; detected.  Repeat call attempts are not allowed if call is answered.
; Minimum delay of 5 seconds between call attempts.
; Up to 10 repeat attempts can be made, spread over at least
; 10 minutes.  Implementation below is 2 5-second attempt followed by
; 8 1-minute delays
?NODIALTONE:	DB 	3
?NUMBER_BUSY:	DB 	3
?RING_TIMEOUT:	DB 	3
?ANSWER_TIMEOUT:DB 	0
?VOICEANSWER:	DB 	4
?KEY_ABORT     	DB	3

?OGM_DELAY:             DB      20      ; Out Going Msg delay timer (x10ms)

?MININTERDLY:	DB	5	; Min. time to delay beween calls
?BLCOLDELAY:	DW	0	; 
?BLDELAY1:	DW	0	; Delay time #1
?BLDELAY2:	DW	60	; Delay time #2
?BLDELAY3:	DW	0	; Delay time #3
?BLDELAY4:	DW	0	; Delay time #4
?BLDELAY5:	DW	FFFFH	; Delay time #5
?BLDELAY6:	DW	FFFFH	; Delay time #6
?BLFINALDELAY:	DW	FFFFH	; Final delay time
?DELAY1COUNT:	DB	2	; Number of tries delay #1
?MAXCOLTRIES:	DB  	0	; Max consecutive number no dial tone
?MAXTRIES:	DB	10	; Max. number of tries
?MAXTRIES_2:	DB  	0	; Blacklisting added
;
; The following byte adjust the preferred tx lvl in the S-registers.
; TLVLADJ, which is in a 2's complement form, adjusts the tx lvl in 
; decrement or increment of 1dB.  For example, TLVLADJ=02 means that the 
; actual transmit level output of the DP will be 2 dB less than the S91 
; value (Usually, this is used to compensate for a DAA that has 2dB 
; gain); and if S91=10, the actual output from the DP will be 
; 10+02=12 (-12 dBm).  Another example, if TLVLADJ=FE and S91=10, the
; actual transmit level output of the DP will be 10-02=8 (-8 dBm).

?TLVLADJ:	DB	0	; TLVL register adjustment
;
; The following two bytes adjust the transmit level inside the DSP (before D/A
; converter), and can be used for fine tuning the transmit level.

; note that the parameter Hex value has to be calculated from the formula
; defined in the RC96DP(L) Modem Designer's Guide Function No 12.
; Also note that the TX_DIGITAL_OFFSET works only for non-FSK modes.  For
; FSK modes the parameter FSK_TX_DIG_OFFSET is used, and follows a different
; (and undocumented) formula than the TX_DIGITAL_OFFSET.

.IF	DPConfig=DPL
?TX_DIGITAL_OFFSET:	DW	$43CB	;DPL:	+0.5dB offset on tx level
?FSK_TX_DIG_OFFSET:	DW	$0040
.ENDIF

; The Extended RTH bit (XRTH) controls the reduction of RLSD by approximatively
; 5 dB. The amount of threshold reduction (offset) is useful for compensating 
; for any loss or gain that may be introduced by the DAA/hybrid used.
; Following are results with differents offset values
; 	XRTH_OFFSET	OFF	ON
;	    09	      -44,4   -41,2
;	    05	      -46     -42,9
;	    00	      -47,4   -44,7	default value (no offset)
;	    FD	      -48,6   -45,9
;	    FA	      -49,9   -46,8
;	  	
.IF 	(DPConfig=V34)
?XRTH_OFFSET:		DB	0
.IF (SVDConfig=DSVD).OR.(SVDConfig=BothDSVD)			; If DSVD
?DSVD_Tone_Level:	DB	06H
.ENDIF					; END DSVD
.ENDIF


?CTRY_FLAG1_PRM:DB	01100001B	; Option flags

;	Option_flag 1
;		bit 0  BLINDDIALENA	UK - Blind Dialing is permitted (5.2.1)
;		bit 1  ADAPTDIAL	Enable Adaptive Dialing
;		bit 2  GRNDENA		Enables Earth Relay 
;               bit 3  unused
;		bit 4  LINESENSE	Enables line current sense detection
;		bit 5  ALTDIALTONE	Use the Alternate filter for Dial Tone
;		bit 6  CALLTENABLE	Enables the calling tone
;		bit 7  CallID_Enable	Enable Caller ID

?CTRY_FLAG2_PRM:	DB	00000100B

;	Option_flag 2
;		bit 0  BLACKDISABLE	Disables all Blacklisting
;		bit 1  BLCLRIFANY	Clear whole BL if any number succeeds
;		bit 2  GUARD1800ENA	Enforces the 1800 Hz guard tone
;		bit 3  FRANCE_ANSWER  	Detection of tone and silence
;		bit 4  CHECK_&P		If it is set then check the &P command
;               bit 5  V23_DISABLED	Disables V23 answer automode
;		bit 6  PTT_STRAP_ENA	Enables monitoring of PTT strap
;		bit 7  NO_LINE_REV_CHK	If set, don't check for line reversal

?CTRY_FLAG3_PRM:	DB	00000110B

;	Option_flag 3
;		bit 0  ATH1_DISABLED		Disable ATH1
;		bit 1  NO_PULSE_AFTER_TONE 	Disable ATDTxxPyy
;		bit 2  NO_PULSE_DIALING		Disables pulse dialing
;		bit 3  NO_ABCD			Disables DTMF A,B,C,D digits
;               bit 4  CCT_FAX			Sends CCT fax header
;               bit 5  unused
;		bit 6  ATX_DISABLE_BUSY		ATX0 or X1 or X2 disable busy
;		bit 7  SWISS_BUSY_WA		Enables Swiss Busy workaround

?S_REG:			;Up to 12 registers can be limited
		DB	6,0,20,10		; Max 20s 5.6.3.1
		DB	7,0,90,40		; Max 90 5.6.5.1
				;Bit mapped register: REG,AND,OR,DEFAULT
		DB	28,255,0,8		; default: &P1
		DB	91,10,10,10		; S91=10  fixed
		DB	92,10,10,10		; S92=10  fixed
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF			;Flag end of table


