;**************************************************************************
;*											*
;* 	TITLE: 		WF96RLSD.ASM							*
;*											*
;* 	PURPOSE: 	Provides RLSD table.							*
;*			This file can be modified by the OEM to be used			*
;*			by ConfigurACE to generate a modified target			*
;*			code.								*
;*											*
;*	AUTHOR:		Fabrice REY-RICORD							*
;*											*
;*	REVISION HISTORY:								*
;*											*
;*	19JAN94	  FRR	Created								*
;*											*
;**************************************************************************
;****************************************************************************
;The RLSD table has been updated according to measurements made on a
;144DP -21
;For all modes it has been checked that:
;       - we connect at -43dBm
;       - we do not connect at -48dBm
;       - we loose carrier somewhere between -43 and -48 dBm
;
;This method of measurement is compatible with the NET20 specification
;
;The fax modulations are checked with special %TT commands.
;****************************************************************************
;

RLSD_TABLE:
	

;NOTE:  The Originate/Answer distinction for fax modes in the below
;       table does not apply, but the same value must be put in both
;	cases as the algorithm may pick up either value (depending on
;	the direction of the last data connection).  The saving if
;	the org/ans redundant info is removed is 12 bytes, ie probably
;	less than the code space to work out that we don't need to look
;	at the org/ans flag for fax modes.

; ***************************************************
; **  WARNING  WARNING  WARNING  WARNING  WARNING  **
; ***************************************************
;      If the length of this  RLSD table changes,
;      A parameter in  CALL must also be changed.
;      Just before the call to  GET_RLSD_PARM  in
;      CALL,  X is loaded with  the offset of the
;      answer tone threshold in this table.  That
;      offset must be corrected to still point to
;      that threshold if this table changes size.
; ***************************************************
; **  WARNING  WARNING  WARNING  WARNING  WARNING  **
; ***************************************************

	.DB     $F9,          $15	;Bell 103 Originate
	.DB     $F5,          $12	;Bell 103 Answer

;@@@ -ESTelecom Rev. 01 item #11- @@@
;--------------------------------------------------------------------------
;!!!	.DB     $F9,          $1A	;V.21 Originate
;!!!	.DB     $F9,          $19	;V.21 Answer

	.DB     $05,          $24	;V.21 Originate
	.DB     $05,          $24	;V.21 Answer
;--------------------------------------------------------------------------

	.DB     $F7,          $05	;Bell 212A Originate
	.DB     $F7,          $07	;Bell 212A Answer

;@@@ -ESTelecom Rev. 01 item #11- @@@
;--------------------------------------------------------------------------
;!!!	.DB     $F7,          $07	;V.22 1200 Originate
;!!!	.DB     $F5,          $07	;V.22 1200 Answer
;!!!
;!!!	.DB     $F7,          $10	;V.22bis Originate
;!!!	.DB     $F7,          $00	;V.22bis Answer
;!!!
;!!!	.DB     $FA,          $13	;V.32, V.32bis Originate
;!!!	.DB     $02,          $14	;V.32, V.32bis Answer
;!!!
;!!!	.DB     $F9,          $10	;V.23 T75 Originate (ATF3 org)
;!!!	.DB     $02,          $1B	;V.23 T75 Answer    (not used)
;!!!
;!!!	.DB     $00,          $1B	;V.23 T1200 Originate (unused)
;!!!	.DB     $F9,          $15	;V.23 T1200 Answer  (ATF3 ans)

	.DB     $00,          $15	;V.22 1200 Originate
	.DB     $02,          $15	;V.22 1200 Answer

	.DB     $06,          $0E	;V.22bis Originate
	.DB     $02,          $0C	;V.22bis Answer

	.DB     $05,          $2D	;V.32 Originate
	.DB     $FA,          $2C	;V.32 Answer

	.DB     $07,          $20	;V.23 T75 Originate (ATF3 org)
	.DB     $02,          $1B	;V.23 T75 Answer    (not used)

	.DB     $00,          $1B	;V.23 T1200 Originate (unused)
	.DB     $05,          $20	;V.23 T1200 Answer  (ATF3 ans)
;--------------------------------------------------------------------------

	.DB     $F7,          $1F	;V.21 Channel 2	 Originate
	.DB     $F7,          $1F	;V.21 Channel 2	 Answer

;@@@ -ESTelecom Rev. 01 item #11- @@@
;--------------------------------------------------------------------------
;!!!	.DB     $FA,          $12	;V.27 2400	 Originate
;!!!	.DB     $FA,          $12	;V.27 2400	 Answer
;!!!
;!!!	.DB     $FA,          $12	;V.27 4800	 Originate
;!!!	.DB     $FA,          $12	;V.27 4800	 Answer
;!!!
;!!!	.DB     $F9,          $12	;V.29 7200	 Originate
;!!!	.DB     $F9,          $12	;V.29 7200	 Answer
;!!!
;!!!	.DB     $F9,          $13	;V.29 9600	 Originate
;!!!	.DB     $F9,          $13	;V.29 9600	 Answer
;!!!
;!!!	.DB     $F4,          $14	;V.17		 Originate
;!!!	.DB     $F4,          $14	;V.17		 Answer

	.DB     $FA,          $12	;V.27 2400	 Originate
	.DB     $0B,          $15	;V.27 2400	 Answer

	.DB     $FA,          $12	;V.27 4800	 Originate
	.DB     $02,          $11	;V.27 4800	 Answer

	.DB     $F9,          $12	;V.29 7200	 Originate
	.DB     $07,          $24	;V.29 7200	 Answer

	.DB     $F9,          $13	;V.29 9600	 Originate
	.DB     $06,          $12	;V.29 9600	 Answer

	.DB     $F4,          $14	;V.17		 Originate
	.DB     $02,          $10	;V.17		 Answer
;--------------------------------------------------------------------------

;@@@ -ESTelecom Rev. 01 item #10- @@@
;--------------------------------------------------------------------------
	.DB     $01,          $1F	;V.32bis Originate !!! NEW ENTRY !!!
	.DB     $FA,          $1F	;V.32bis Answer
;--------------------------------------------------------------------------

	.DW	$0750			;Answer tone threshold (Tone B)

