;****************************************************************************;
;	COUNTRY PARAMETERS FOR	US
;****************************************************************************;

?CCODE:		DB	22 	; Country code
?INTER:		DB	'US '	; International code
?INTCODE:	DB	'011'	; International access dial code
?TONEA:				; Parameters used to setup toneA filter
		DW	$08C2	; A3 Biquad1
		DW	$EE7C	; A2 Biquad1
		DW	$08C2	; A1 Biquad1
		DW	$C774	; B2 Biquad1
		DW	$74FE	; B1 Biquad1
		DW	$08C2	; A3 Biquad2
		DW	$1184	; A2 Biquad2
		DW	$08C2	; A1 Biquad2
		DW	$CD4F	; B2 Biquad2
		DW	$6495	; B1 Biquad2
?DAGCRF:	DW	$FF00	; DAGCRF
                                ;DP Default values + old comments to refer
				; -32dBm (required) + line interface
?DIALT_THRESH:	DW	$0500	;DP default value of THRESHU
				; -43dBm (required) + line interface
?PROG_THRESH:	DW	$0200	;DPL practical value of THRESHU


?ALTTONE:			; Parameters used for alt setup of toneA
		DW	$08C2	; A3 Biquad1
		DW	$EE7C	; A2 Biquad1
		DW	$08C2	; A1 Biquad1
		DW	$C774	; B2 Biquad1
		DW	$74FE	; B1 Biquad1
		DW	$08C2	; A3 Biquad2
		DW	$1184	; A2 Biquad2
		DW	$08C2	; A1 Biquad2
		DW	$CD4F	; B2 Biquad2
		DW	$6495	; B1 Biquad2
?ALT_DAGCRF:	DW	$FF00	; DAGCRF
?ALT_DIALT_THRESH:	DW	$0500	;DP default value of THRESHU


?LOW_DIALLEVEL:	DW	$160D	; Default  for VFC and -6 and -4 dbm
?HIGH_DIALLEVEL:DW	$1BC3	; DPL 
.IFDEF	ACFSP2 	
?LOW_DIALLEVEL_SPK:	DW	$15C1	; Speakerphone default: -6 dbm
?HIGH_DIALLEVEL_SPK:    DW	$1B63	; Speakerphone default: -4 dbm 
.ELSE
?LOW_DIALLEVEL_SPK:	DW	$221F	; Speakerphone default: -6 dbm
?HIGH_DIALLEVEL_SPK:    DW	$2B5B	; Speakerphone default: -4 dbm 
.ENDIF                                  ; end ACFSP2

.IFDEF	K56CLIENT		;;;k56?? If K56Plus is enabled AND CLIENT side
?ANSWERSTABLE:	DB	5	; *10ms, Min. answer tone stable time
.ELSE
?ANSWERSTABLE:	DB	10	; *10ms, Min. answer tone stable time
.ENDIF					;end of K56PLUS

.IFDEF ISDN
?RINGPERIOD	DB	20	;Half ring period: 20ms  
?RINGCADENCEON  DW	2000	;Ring cadence ON:  2s
?RINGCADENCEOFF DW	4000	;Ring cadence OFF: 4s
.ENDIF


;  RINGMIN:  Period (in ms) for min FREQ ring (ie max period)
?RINGMIN:	DW	42H	; Value for min ring freq detection (15Hz)
;  RINGMAX:  Period (in ms) for max FREQ ring (ie min period)
?RINGMAX:	DW	0EH	; Value for max ring freq detection (68Hz)
?RING_LIMIT:	DB	19	; No of 10 ms UNITS required to validate ring
				; 
?NUMBER_OF_TONES_22:		.DB	3
?NUMBER_OF_PHASES_22:		.DB	1

?CAD_TABLE_22:

?MIN_BUSY_ON_PH1_22:		.DW	42     		;+-15%
?MAX_BUSY_ON_PH1_22:		.DW	58
?MIN_BUSY_OFF_PH1_22:		.DW	42
?MAX_BUSY_OFF_PH1_22:		.DW	58
?NUM_BUSY_CYC_PH1_22:		.DB	4

?MIN_RINGBACK_ON_PH1_22:	.DW     90
?MAX_RINGBACK_ON_PH1_22:	.DW     300
?MIN_RINGBACK_OFF_PH1_22:	.DW     290
?MAX_RINGBACK_OFF_PH1_22:	.DW     460
?NUM_RINGBACK_CYC_PH1_22:	.DB	1

?MIN_CONGEST_ON_PH1_22:		.DW	22		;
?MAX_CONGEST_ON_PH1_22:		.DW	28              ;Used for detection of
?MIN_CONGEST_OFF_PH1_22:	.DW	22              ;fast busy
?MAX_CONGEST_OFF_PH1_22:    	.DW	28
?NUM_CONGEST_CYC_PH1_22:	.DB	4

?MIN_DIALTONE1_ON_PH1_22: 	.DW	0
?MAX_DIALTONE1_ON_PH1_22:	.DW	0
?MIN_DIALTONE1_OFF_PH1_22:	.DW	0
?MAX_DIALTONE1_OFF_PH1_22:    	.DW	0
?NUM_DIALTONE1_CYC_PH1_22:	.DB	1

?MIN_DIALTONE2_ON_PH1_22: 	.DW	0
?MAX_DIALTONE2_ON_PH1_22:	.DW	0
?MIN_DIALTONE2_OFF_PH1_22:	.DW	0
?MAX_DIALTONE2_OFF_PH1_22:    	.DW	0
?NUM_DIALTONE2_CYC_PH1_22:	.DB	1

; PHASE 2

?MIN_BUSY_ON_PH2_22:  		.DW	0
?MAX_BUSY_ON_PH2_22:		.DW	0
?MIN_BUSY_OFF_PH2_22:		.DW	0
?MAX_BUSY_OFF_PH2_22:		.DW	0
?NUM_BUSY_CYC_PH2_22:		.DB	1

?MIN_RINGBACK_ON_PH2_22:	.DW	0
?MAX_RINGBACK_ON_PH2_22:	.DW	0
?MIN_RINGBACK_OFF_PH2_22:	.DW	0
?MAX_RINGBACK_OFF_PH2_22:	.DW	0
?NUM_RINGBACK_CYC_PH2_22:	.DB	1

?MIN_CONGEST_ON_PH2_22:		.DW	0
?MAX_CONGEST_ON_PH2_22:		.DW	0
?MIN_CONGEST_OFF_PH2_22:	.DW	0
?MAX_CONGEST_OFF_PH2_22:     	.DW	0
?NUM_CONGEST_CYC_PH2_22:	.DB	1

?MIN_DIALTONE1_ON_PH2_22: 	.DW	0
?MAX_DIALTONE1_ON_PH2_22:	.DW	0
?MIN_DIALTONE1_OFF_PH2_22:	.DW	0
?MAX_DIALTONE1_OFF_PH2_22:    	.DW	0
?NUM_DIALTONE1_CYC_PH2_22:	.DB	1

?MIN_DIALTONE2_ON_PH2_22: 	.DW	0
?MAX_DIALTONE2_ON_PH2_22:	.DW	0
?MIN_DIALTONE2_OFF_PH2_22:	.DW	0
?MAX_DIALTONE2_OFF_PH2_22:    	.DW	0
?NUM_DIALTONE2_CYC_PH2_22:	.DB	1
?CAD_DEB:			.DB	0


					; Make-Break nominal value: 39-61
?PULSE_MAKE_OFFSET:	DB	0	; Pulse make offset (0 -> 39) 
?PULSE_BREAK_OFFSET:	DB	0	; Pulse break offset (0 -> 61)
?PULSESETUP:	DB	5	; Pulse dial setup time
?PULSECLEAR:	DB	5+33	; Pulse dial clear time + last make pulse
?PULSEINTERD:	DB	75	; Pulse dial interdigit time
?DIALCODE:	DB	0	; Dial Pulse code

;                                                   NUMBER                 
;                                   CODE |  1  2  3  4  5  6  7  8  9  0   
;                                   ------------------------------------   
;                                   0000 :  1  2  3  4  5  6  7  8  9 10   
;                                   0001 :  9  8  7  6  5  4  3  2  1 10   
;                                   0002 :  2  3  4  5  6  7  8  9 10  1   
;                                                   PULSES                 
;0= ~offhook, 1=~pulse, 4=callid, 5=voice
;ACFSP use low active of PE1 (bit1) as voice relay instead of bit5
;Thus, bit1 must be reset (low active) if bit5 is set (high active) 
   .IFDEF	ACFSP
; For ACFSP 	Bit 0 = Off hook (active low)
;		Bit 1 = Voice (active low)
;		Bit 2 = unused
;		Bit 3 = unused
; 		Bit 4 = Caller ID (active high)
;		Bit 5 = unused
;		Bit 6 = Pulse (NVM_DATA) (active low)
;		Bit 7 = unused
.IFDEF ISDN
?ONHKCODE:	DB	34H	; Relay control for on hook action
?OFFHKCODE:	DB	35H	; Relay control for off hook action
?MAKECODE:	DB	35H	; Relay control for make action
?BRKCODE:	DB	35H	; Relay control for break action
?SETCODE:	DB	35H	; Relay control for set action
?CLRCODE:	DB	35H	; Relay control for clear action
?CIDONCODE:	DB	24H	; Relay control for Caller ID on

.ELSE
?ONHKCODE:	DB	43H	;Hook open,Voice open,CID open,Pulse open	
?OFFHKCODE:	DB	40H	;Hook closed,Voice closed,CID open,Pulse open
?MAKECODE:	DB	00H	;Hook closed, Voice closed,CID open,Pulse closed
?BRKCODE:	DB	01H	;Hook open, Voice closed, CID open,Pulse closed
?SETCODE:	DB	00H	;Hook closed, Voice closed,CID open,Pulse closed
?CLRCODE:	DB	40H	;Hook closed, Voice closed, CID open,Pulse open
?VON_OFFHKCODE:	DB	40H	;Hook closed, Voice closed, CID open,Pulse open
?CIDONCODE:	DB	53H	;Hook open, Voice open, CID closed,Pulse open  
.ENDIF
   .ELSE			; For V.34 ACi
; For ACISP 	Bit 0 = Off hook (active low)
;		Bit 1 = Pulse (active low)
;		Bit 2 = unused
;	     ?	Bit 3 = unused
; 		Bit 4 = Caller ID (active high)
;		Bit 5 = Voice (active high)
;	     ?	Bit 6 = Pulse (NVM_DATA) (active low)
;		Bit 7 = unused

?ONHKCODE:      DB      4FH     ;Hook open,Voice open,CID open,Pulse open
?OFFHKCODE:     DB      4EH     ;Hook closed,Voice closed,CID open,Pulse open
?MAKECODE:      DB      4EH     ;Hook closed, Voice closed,CID open,Pulse closed
?BRKCODE:       DB      4FH     ;Hook open, Voice closed, CID open,Pulse closed
?SETCODE:       DB      4EH     ;Hook closed, Voice closed,CID open,Pulse closed
?CLRCODE:       DB      4EH     ;Hook closed, Voice closed, CID open,Pulse open
?VON_OFFHKCODE: DB      6EH     ;Hook closed, Voice closed, CID open,Pulse open
?CIDONCODE:     DB      5FH     ;Hook open, Voice open, CID closed,Pulse open

   .ENDIF			; End of V.34 ACFSP

;******** THE BELOW 3/6 RELAYS SETTINGS ARE FOR VOICEVIEW DAA ONLY ********
;-- Three/Six Relay settings :
;-- bit 7 specifies the number of valid relays
;-- Three:	bit 7 = 1	1XXXxxxX
;--  bit 0=~offhook, 4=callid, 5=voice
;--  For Voice View:
;--  bit 6 specifies the ordering of relays
;--      6 = 0 -> relay bit order 4,0,5
;--      6 = 1 -> relay bit order 4,5,0 with 10-50ms wait between 5 and 0
;--  other bits are consistent with previous codes.
;-- Six:	bit 7 = 0	0XXXXXXX
;--  bit 0=~offhook, 1=~pulse, 2=RLY3, 3=RLY4, 4=callid, 5=voice
;--  For Voice View:
;--  bit 6 specifies the ordering of relays
;--      6 = 0 -> relay bit order 1,2,3,4,0,5
;--      6 = 1 -> relay bit order 1,2,3,4,5,0 with 10-50ms wait between 5 and 0

?ONHK_36:	DB	CBH	; 3 relay on hook action
?CID_36:	DB	DBH	; 3 relay on hook, CID
?OFFHK_36:	DB	A2H	; 3 relay off hook, VOICE (mute handset)
?HANDSETOFF_36:	DB	82H	; off hook (keep handset unmute while offhook)

	.COMMENT ^
***** Below is example of relay setting using 6 relays from WCEM module *****

?ONHK_36:	DB	4BH	; 6 relay on hook action
?CID_36:	DB	5BH	; 6 relay on hook, CID
?OFFHK_36:	DB	02H	; 6 relay off hook (mute handset)
?HANDSETOFF_36:	DB	0AH	; off hook (keep handset unmute while offhook)
******************************************************************************
	.COMMENT ^

?EARTH_DURATION:DB	50	; Delay for earth relay to be set (500mS)

?TONEONTIME:	DW	DDH	; DTMF tone on time
?TONEINTERD:	DW	ADH	; DTMF tone interdigit time
?DIALSTABLE:	DB	75	; 0.75s, Min. time for dial tone to be present
				; So, with typical S6=2 we have 1.25secs to
				; debounce dialtone! 
?W_DIALSTABLE:	DW	300	; 3 seconds to make sure we don't detect
				; ringback as a dial tone

?NODIALTONE:		DB 	0H	; Selected by Rockwell
?NUMBER_BUSY:		DB 	0H	; Selected by Rockwell
?RING_TIMEOUT:		DB 	0H	; Selected by Rockwell
?ANSWER_TIMEOUT:	DB 	0H	; Selected by Rockwell
?VOICEANSWER:		DB 	0H	; Selected by Rockwell
?KEY_ABORT     		DB	0H	; Selected by Rockwell

?OGM_DELAY:		DB	20	; Out Going Msg delay timer (x10ms)

?MININTERDLY:	DB	5	; Min. time to delay beween calls
?BLCOLDELAY:	DW	0	; 
?BLDELAY1:	DW	5	; Delay time #1
?BLDELAY2:	DW	120	; Delay time #2
?BLDELAY3:	DW	0	; Delay time #3
?BLDELAY4:	DW	0	; Delay time #4
?BLDELAY5:	DW	0	; Delay time #5
?BLDELAY6:	DW	0	; Delay time #6
?BLFINALDELAY:	DW	7200	; Final delay time
?DELAY1COUNT:	DB	1	; Number of tries delay #1
?MAXCOLTRIES:	DB  	0	; Max consecutive number no dial tone
?MAXTRIES:	DB	7	; Max. number of tries
?MAXTRIES_2:	DB  	0	; Blacklisting added
;
; The following byte adjust the preferred tx lvl in the S-registers.
; TLVLADJ, which is in a 2's complement form, adjusts the tx lvl in 
; decrement or increment of 1dB.  For example, TLVLADJ=02 means that the 
; actual transmit level output of the DP will be 2 dB less than the S91 
; value (Usually, this is used to compensate for a DAA that has 2dB 
; gain); and if S91=10, the actual output from the DP will be 
; 10+02=12 (-12 dBm).  Another example, if TLVLADJ=FE and S91=10, the
; actual transmit level output of the DP will be 10-02=8 (-8 dBm).

?TLVLADJ:	DB	0	; TLVL register adjustment

;
; The following two bytes adjust the transmit level inside the DSP (before D/A
; converter), and can be used for fine tuning the transmit level.

; note that the parameter Hex value has to be calculated from the formula
; defined in the RC96DP(L) Modem Designer's Guide Function No 12.
; Also note that the TX_DIGITAL_OFFSET works only for non-FSK modes.  For
; FSK modes the parameter FSK_TX_DIG_OFFSET is used, and follows a different
; (and undocumented) formula than the TX_DIGITAL_OFFSET.

.IF	DPConfig=DPL
?TX_DIGITAL_OFFSET:	DW	$43CB	; +0.5 dB offset on transmit level
?FSK_TX_DIG_OFFSET:	DW	$0040
.ENDIF

; The Extended RTH bit (XRTH) controls the reduction of RLSD by approximatively
; 5 dB. The amount of threshold reduction (offset) is useful for compensating 
; for any loss or gain that may be introduced by the DAA/hybrid used.
; Following are results with differents offset values
; 	XRTH_OFFSET	OFF	ON
;	    09	      -44,4   -41,2
;	    05	      -46     -42,9
;	    00	      -47,4   -44,7	default value (no offset)
;	    FD	      -48,6   -45,9
;	    FA	      -49,9   -46,8
;	  	
.IF 	(DPConfig=V34)
?XRTH_OFFSET:		DB	0

.IF (SVDConfig=DSVD).OR.(SVDConfig=BothDSVD)			; If DSVD
?DSVD_Tone_Level:	DB	06H
.ENDIF					; END DSVD
.ENDIF
?CTRY_FLAG1_PRM:DB	10000011B	; Option flags

;	Option_flag 1
;		bit 0  BLINDDIALENA	Blind Dialing is permitted
;		bit 1  ADAPTDIAL	Enable Adaptive Dialing
;		bit 2  GRNDENA		Enables Earth Relay 
;               bit 3  unused
;		bit 4  LINESENSE	Enables line current sense 5.6.2
;		bit 5  ALTDIALTONE	Use the Alternate filter for Dial Tone
;		bit 6  CALLTENABLE	Enables the calling tone
;		bit 7  CallID_Enable	Enable Caller ID

?CTRY_FLAG2_PRM:DB	00010001B

;	Option_flag 2
;		bit 0  BLACKDISABLE	Disables all Blacklisting
;		bit 1  BLCLRIFANY	Clear whole BL if any number succeeds
;		bit 2  GUARD1800ENA	Enforces the 1800 Hz guard tone
;		bit 3  FRANCE_ANSWER  	Detection of tone and silence
;		bit 4  CHECK_&P		If it is set then check the &P command
;               bit 5  V23_DISABLED	Disables V23 answer automode
;		bit 6  PTT_STRAP_ENA	Enables monitoring of PTT strap
;		bit 7  NO_LINE_REV_CHK	If set, don't check for line reversal


?CTRY_FLAG3_PRM:	DB	01000000B


;	Option_flag 3
;		bit 0  ATH1_DISABLED		Disable ATH1
;		bit 1  NO_PULSE_AFTER_TONE 	Disable ATDTxxPyy
;		bit 2  NO_PULSE_DIALING		Disables pulse dialing
;		bit 3  NO_ABCD			Disables DTMF A,B,C,D digits
;               bit 4  CCT_FAX			Sends CCT fax header
;		bit 5  unused
;		bit 6  ATX_DISABLE_BUSY		ATX0 or X1 or X2 disable busy
;		bit 7  SWISS_BUSY_WA		Enables Swiss Busy workaround

?S_REG:			;Up to 12 registers can be limited
		DB      0,0,255,0		; 0<=S0<=255  default=0
		DB      6,2,255,2		; 2<=S6<=255  default=2

		DB      7,1,255,50		; 1<=S7<=255  default=50

		DB      8,2,255,2		; 2<=S8<=255  default=2
		DB      9,1,255,6		; 1<=S9<=255  default=6
		DB      10,0,255,14		; 0<=S10<=255 default=14

		DB      11,50,255,95		; 1<=S11<=255 default=95
						; N602
		DB	27,255,0,73		; S27= 01001001B, US w/EC 

		DB	29,70,70,70		; S29=70 fixed

.IFDEF	CSM					; Central Site Modem
		DB      91,1,15,12		; 1<=S91<=15 default=12 (lower limit = 1 for testing)
.ELSE
		DB      91,10,15,10		; 10<=S91<=15 default=10
.ENDIF
		DB      92,10,15,10		; 10<=S92<=15 default=10

		DB	$FF,$FF,$FF,$FF		;Available
		DB	$FF			;Flag end of table

