DUMMY_SEC:	 SECTION	;Must have this empty section first to avoid
		.DUMMY_SEC	;prompting for CODE section and disturbing
				;indirect link


BANK2_SEC:	 SECTION
		.BANK2_SEC

	.INCLUDE	INCLUDES.ASM

ExtConfig	.EQU		xGeneral + xNvm

	.INCLUDE	WF96EXT.ASM

.IFDEF	PLCTOOLS
MODNAME:	.VAR	MODNAME_WF96UTIL
.ELSE        
MODNAME:	.VAR	'WF96UTIL'
.ENDIF

	.PW		124
	.LIST		ON
	.LINKLIST	ON
	.TITLE		"UTILITY - UTILITY ROUTINES USED BY OTHER MODULES"


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;  U T I L I T Y      R O U T I N E S           ;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; GLOBAL VARIABLES
;------------------

	.GLOBAL	WRITEBUFF_TRM, READBUFF_TRM, CLRBUFF_TRM
	.GLOBAL	WRITEBUFF_MOD, READBUFF_MOD, CLRBUFF_MOD
	.GLOBAL FWRITEBUFF_MOD
	.GLOBAL	WRITEBUFF_FAX, READBUFF_FAX
	.GLOBAL	MPYx8
	.GLOBAL Check_PnP_COM
.IFDEF	PnP_Enabled
	.GLOBAL INIT_PNP       		; Load PnP device with PnP info
.ENDIF

;
; EXTERNAL FUNCTIONS
;-------------------

	EXTERN	DTE_PUTCP, DTE_TX_READY
	EXTERN	DTE_DEFAULT, DTE_SPEED, ENA_SP_SENSE
	EXTERN  GET_DTR, GET_RTS
	EXTERN	NVM_READ, NVM_WRITE, NVM_PRESENT

;
; GLOBAL TABLES
;--------------------	

	.GLOBAL PnP_COM_MSG		; ConfigurACE hook
.IFDEF	PnP_Enabled		  	; PnP unit exists in hardware
	.GLOBAL PnP_Fixed_Port	  	; ConfigurACE hook 
.ENDIF

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; IF EXTERNAL RAM :
; 1. DATA - WRITEBUFF_TRM : Moves data from DTE into TERM_BUFF
; 2. FAX  - WRITEBUFF_TRM : Moves data from DTE into TERM_BUFF
; 3. DATA - READBUFF_MOD  : Moves data from MODEM_BUFF into DTE
; 4. FAX  - READBUFF_MOD  : Moves data from MODEM_BUFF into DTE
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	.SUBTITLE Buffer Management Subroutines
	.PAGE

;-------------------------------------
;WRITE A CHARACTER TO TERMINAL BUFFER
;-------------------------------------

WRITEBUFF_TRM:

;NOTE: Quickest Path is straight down to RTS, 255 out of 256 times this
;should take place

    .IFNZ    PARALLEL                   ; If PARALLEL
        PHP                             ; Save interrupt stat on to stack
        SEI                             ; Disable all interrupts to avoid SPX int
    .ENDIF
  					;
	INC	TERM_BUFF_COUNT		; bump byte count
	BEQ	?FULLtest		; br if buffer may be full, this wastes
					; one byte of buffer space for speed
	STA	(TERM_BUFF_WRITE)	; store the byte

    .IFNZ    PARALLEL                   ; If PARALLEL
        PLP                             ; Return interrupt stat
    .ENDIF

	INC	TERM_BUFF_WRITE		; INCREMENT LOWER BYTE WRITE POINTER
	BEQ	?WRAPtest		; IF ZERO, THEN might WRAP
	CLC				; No error exit, insure carry clear
	RTS				; Return to caller

;---------------------------------------
;SEE IF BUFFER MIGHT BE FULL 
;NOTE: Come here 1 out of every 256 unread writes
;---------------------------------------

?FULLtest:	
	LDX	TERM_BUFF_COUNT+1	; UPPER BYTE BUFFER COUNT
	CPX	#>BUFF_SIZE 		; COMPARE BUFF SIZE WITH BUFF COUNT
	BEQ	?full			; NOTE:THIS ASSUMES BUFF_SIZE IS ALWAYS
					; AN EVEN MULTIPLE OF 256 (eg:900)
	INC	TERM_BUFF_COUNT+1	; not full, inc high byte of count
	STA	(TERM_BUFF_WRITE)	; save the byte

   .IFNZ    PARALLEL                    ; If PARALLEL
        PLP                             ; Return interrupt stat
    .ENDIF

	INC	TERM_BUFF_WRITE		; INCREMENT LOWER BYTE WRITE POINTER
	BEQ	?WRAPtest		; IF ZERO, THEN might WRAP
	CLC				
	RTS				; Return to caller

?full:	
	DEC	TERM_BUFF_COUNT		; force so another write will also fail

   .IFNZ    PARALLEL                    ; If PARALLEL
        PLP                             ; Return interrupt stat
   .ENDIF

 	SEC				; buffer is full, return carry set
	RTS				; RETURN TO THE CALLING ROUTINE

;----------------------------------------
;NOTE: Come here 1 time out of 256 accesses to the buffer
;      Already know low order write=end=0
;---------------------------------------

?WRAPtest:
	INC	TERM_BUFF_WRITE+1	; INC HI BYTE WRITE POINTER
	LDA	TERM_BUFF_WRITE+1	; GET HI WRITE POINTER
	CMP	#>TERM_BUFF_END		; IS = END OF BUFFER?
	BEQ	?WRAP			; br if yes
	RTS				; return, no wrap, carry clear from CMP

?WRAP:
	CLC				; NO ERR, clear it from CMP
	STI	<TERM_BUFF_BODY,TERM_BUFF_WRITE		; SET TOP OF BUFFER
							; INTO WRITE POINTER LO
	STI	>TERM_BUFF_BODY,TERM_BUFF_WRITE+1	; SET TOP OF BUFFER
	RTS						; to caller


;----------------------------------
;WRITE A CHARACTER TO MODEM BUFFER
;----------------------------------
;FAX Write Buff Modem: buffer limit is 6 bytes less than the physical limit
; Usual Write Buff Modem:
WRITEBUFF_MOD:

.IFDEF G39				;If G39 DMA
	BBRES	DMA_MODE,?NoDMA		;Branch if not in data mode
	BBRES	PUT_STATUS,?PutFull	;Branch if PUT reg is full (DSR1=)
	STA	PUT			;Else write data
	CLC				;set OK status	
	RTS				;return
?PutFull:
	SEC				;Indicate PUT reg is full
	RTS				;Return 
?NoDMA:
.ENDIF					;End G39 DMA

;NOTE: Quickest Path is straight down to RTS, 255 out of 256 times this
;      should take place

     .IF RHSIConfig = RHSI		;for C39/550 with RHSI enhancements
	BBRES	RHSI_Mode,?NoRHSI	;dont fiddle with I/F if not RHSI
	BBRES	DATA_MODE,?NoRHSI	;If in CMD Mode, dont set Rhsi bits
	BBSET	WXOND,?NoRHSI		;br if we are waiting for XON from DTE
	BBSET	RTS_DROPPED,?NoRHSI	;br if RTS dropped and RTSCTS flow on

	SETFLD	RhsiDataAvail		;set bit in RHSI, data avail in RAM
					;
;;;;;;;;;;;;;;;;;;;;;;;; DELETE LATER IF NOT NEEDED ;;;;;;;;;;;;;;;;;;;;;;;;
;;;					;Code to  H O L D data in MODEMBUFF
;;;	BBSET	RHSI_NoHoldRx,?NoRHSI	;br if NOT delaying data in modembuff
;;;	LDX	MODEM_BUFF_COUNT+1	;upper byte of current char count
;;;	CPX	RHSI_RxThresh+1		;cmp with rx thresh for holding data
;;;	BCC	?Hold			;br if that amount not rcvd yet
;;;	LDX	MODEM_BUFF_COUNT	;lower byte of current char count
;;;	CPX	RHSI_RxThresh		;cmp with rx thresh for holding data
;;;	BCC	?Hold			;br if that amount not rcvd yet
;;;	SETFLD	TIMER_2			;force timer to expire, threshold met
;;;	SETFLD	RHSI_NoHoldRx		;allow buffer to get emptied to DTE
;;;	BRA	?NoRHSI			;go deal with normal buffering
;;;
;;;?Hold:					;set timeout on data below RxThresh
;;;					;give 20MS before background code
;;;					;will go ahead and interrupt PC.  This
;;;					;is for case when RHSI_RxThresh has
;;;					;not been met, and data is getting
;;;					;stale in MODEMBUFF.
;;;
;;;	LDX	#2			;need speed here so instead of SET10MS
;;;	STX	TIMER_2			;set only low byte of TIMER_2 
;;;	RESFLD	TIMER_2			;insure timer is running
;;;

?NoRHSI:
     .ENDIF

	INC	MODEM_BUFF_COUNT	; bump count of bytes
	BEQ	?FULLtest		; br if buffer may be full, this wastes
					; one byte of buffer space for speed
	STA	(MODEM_BUFF_WRITE)	; save the byte
	INC	MODEM_BUFF_WRITE	; INCREMENT LOWER BYTE WRITE POINTER
	BEQ	?WRAPtest		; IF ZERO, THEN might WRAP
	CLC				; No error exit, insure carry clear
	RTS				; Return to caller

?FULLtest:				; SEE IF BUFFER MIGHT BE FULL
					; NOTE: Come here 1 out of every
					; 256 unread writes
	LDX	MODEM_BUFF_COUNT+1	; UPPER BYTE BUFFER COUNT
	CPX	#>(BUFF_SIZE)-1 	; Compare with MSB of BUFF_SIZE minus 1
	BEQ	?full			; NOTE:THIS ASSUMES BUFF_SIZE IS ALWAYS
					; AN EVEN MULTIPLE OF 256 (eg:900)
	INC	MODEM_BUFF_COUNT+1	; not full, inc high byte of count
					; Code duplicated from above for speed
	STA	(MODEM_BUFF_WRITE)	; save the byte
	INC	MODEM_BUFF_WRITE	; INCREMENT LOWER BYTE WRITE POINTER
	BEQ	?WRAPtest		; IF ZERO, THEN might WRAP
	RTS				; Return to caller

?full:	
	DEC	MODEM_BUFF_COUNT	; force so another write will also fail
	SEC				; buffer is full, return carry set
	RTS				; RETURN TO THE CALLING ROUTINE

?WRAPtest:				; NOTE: Come here 1 time out of 256
					; accesses to the buffer
					; Already know low order write=end=0
	INC	MODEM_BUFF_WRITE+1	; INC HI BYTE WRITE POINTER
	LDA	MODEM_BUFF_WRITE+1	; GET HI WRITE POINTER
	CMP	#>MODEM_BUFF_END	; IS = END OF BUFFER?
	BEQ	?WRAP			; br if yes
	RTS				; return, no wrap, carry clear from CMP

?WRAP:
	CLC				; NO ERR, clear it from CMP
	STI	<MODEM_BUFF_BODY,MODEM_BUFF_WRITE	; SET TOP OF BUFFER
							; INTO WRITE POINTER LO
	STI	>MODEM_BUFF_BODY,MODEM_BUFF_WRITE+1	; SET TOP OF BUFFER
	RTS						; to caller


;--------------------------------------
; READ A CHARACTER FROM TERMINAL BUFFER
;--------------------------------------

READBUFF_TRM:

.IFDEF G39				;If G39 DMA DMA
	BBRES	DMA_MODE,?NoDMA		;Branch if not in data mode
	BBRES	GET_STATUS,?GetEmpty	;Branch if GET reg is empty (DSR2=0)
	LDA	GET			;Else get data
	CLC				;set OK status	
	RTS				;return
?GetEmpty:
	SEC				;Indicate GET reg is empty
	RTS				;Return 
?NoDMA:
.ENDIF					;End G39 DMA

; QUICKEST PATH is straight down here to next RTS

	LDA	TERM_BUFF_COUNT		; A:= COUNT LOW BYTE
	BEQ	?EMPTYtest		; Br iff buffer could be empty
?Read:	
	DEC	TERM_BUFF_COUNT		; Decrement count, high byte neednt chng
	LDA	(TERM_BUFF_READ)	; GET DATA THROUGH READ POINTER
	INC	TERM_BUFF_READ		; INC LO BYTE OF READ POINTER
	BEQ	?WRAPtest		; IF NOT ZERO, THEN NO WRAP, since
					; buffer must end on 00 address
	CLC				; set OK status
	RTS				; to caller

?EMPTYtest:
	ORA	TERM_BUFF_COUNT+1	; TEST COUNT 16-BIT VALUE FOR ZERO
	BEQ	?EMPTY			; BRANCH IF COUNT = 0
	DEC	TERM_BUFF_COUNT+1	; 256 byte index bumps down
	BRA	?Read

;;;	DEC	TERM_BUFF_COUNT		; make into FFH
;;;	LDA	(TERM_BUFF_READ)	; GET DATA THROUGH READ POINTER
;;;	INC	TERM_BUFF_READ		; INC LO BYTE OF READ POINTER
;;;	BEQ	?WRAPtest		; IF NOT ZERO, THEN NO WRAP, since
;;;					;  buffer must end on 00 address
;;;	CLC				; set OK status
;;;	RTS				; to caller

?EMPTY:
	SEC				; ERROR (NO MORE CHARS IN BUFFER)
	RTS				; RETURN TO THE CALLING ROUTINE

?WRAPtest:				; NOTE: Come here 1 time out of 256
					; accesses to the buffer
					; Already know low order write=end=0
	INC	TERM_BUFF_READ+1	; INC HI BYTE POINTER
	LDX	TERM_BUFF_READ+1	; GET HI  POINTER
	CPX	#>TERM_BUFF_END		; IS = END OF BUFFER?
	BEQ	?WRAP			; br if yes
	RTS				; return, no wrap, carry clear from CMP

?WRAP:
	CLC				; NO ERR, clear it from CMP
	STI	<TERM_BUFF_BODY,TERM_BUFF_READ		; SET TOP OF BUFFER
							; INTO READ POINTER LO
	STI	>TERM_BUFF_BODY,TERM_BUFF_READ+1	; SET TOP OF BUFFER
	RTS						; to caller

;----------------------------------------
;----------------------------------------

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

READBUFF_MOD:

; QUICKEST PATH is straight down here to next RTS

	LDA	MODEM_BUFF_COUNT	; A:= COUNT LOW BYTE
	BEQ	?EMPTYtest		; Br iff buffer could be empty
?Read:	
	DEC	MODEM_BUFF_COUNT	; Decrement count, high byte neednt chng
	LDA	(MODEM_BUFF_READ)	; GET DATA THROUGH READ POINTER
	INC	MODEM_BUFF_READ		; INC LO BYTE OF READ POINTER
	BEQ	?WRAPtest		; IF NOT ZERO, THEN NO WRAP, since
					; buffer must end on 00 address
	CLC				; set OK status
	RTS				; to caller

?EMPTYtest:
	ORA	MODEM_BUFF_COUNT+1	; TEST COUNT 16-BIT VALUE FOR ZERO
	BEQ	?EMPTY			; BRANCH IF COUNT = 0
	DEC	MODEM_BUFF_COUNT+1	; 256 byte index bumps down
	BRA	?Read

?EMPTY:
 
     .IF RHSIConfig = RHSI		;for C39/550 with RHSI enhancements
	BBRES	RHSI_Mode,?NoRHSI	;dont fiddle with I/F if not RHSI

	RESFLD	RhsiDataAvail		;clr bit in RHSI, no data avail in RAM

;;;;;;;;;;;;;;;;;;;;;;;; DELETE LATER IF NOT NEEDED ;;;;;;;;;;;;;;;;;;;;;;;;
;;;	RESFLD	RHSI_NoHoldRx		;Buffer cleared, now can hold data again
					;till RHSI_ThreshRx crossed or timeout
?NoRHSI:
     .ENDIF
 
	SEC				; ERROR (NO MORE CHARS IN BUFFER)
	RTS				; RETURN TO THE CALLING ROUTINE

?WRAPtest:				; NOTE: Come here 1 time out of 256
					; accesses to the buffer
					; Already know low order write=end=0
	INC	MODEM_BUFF_READ+1	; INC HI BYTE POINTER
	LDX	MODEM_BUFF_READ+1	; GET HI  POINTER
	CPX	#>MODEM_BUFF_END	; IS = END OF BUFFER?
	BEQ	?WRAP			; br if yes
	RTS				; return, no wrap, carry clear from CMP

?WRAP:
	CLC				; NO ERR, clear it from CMP

RESTART_MODEMBUFF_READ:
	STI	<MODEM_BUFF_BODY,MODEM_BUFF_READ	; SET TOP OF BUFFER
							; INTO READ POINTER LO
	STI	>MODEM_BUFF_BODY,MODEM_BUFF_READ+1	; SET TOP OF BUFFER
	RTS						; to caller


;----------------------------------------
;WRITE A CHARACTER TO FAX/VOICE BUFFER
;----------------------------------------
;FAX Write Buff Modem: buffer limit is 6 bytes less than the physical limit

FWRITEBUFF_MOD:

; IS THERE ENOUGH SPACE IN THE BUFFER ?
;---------------------------------------

.IFNZ    PARALLEL                       ; If PARALLEL
        PHP                             ; Save interrupt status on to stack
        SEI                             ; Disable all interrupts to avoid SPX i
.ENDIF
 
        LDX	FAX_BUFF_COUNT+1	; UPPER BYTE BUFFER COUNT
        CPX	#>(FAX_BUFF_SIZE-6)	; COMPARE BUFF SIZE WITH BUFF COUNT
        BCC	WRITEBUFF_FAX1		; br if no need to check low order byte
	BNE	?ExIt			; we assume high bytes now =!!!
        LDX	FAX_BUFF_COUNT		; GET LOWER BYTE OF COUNT
        CPX	#<(FAX_BUFF_SIZE-6)	; COMPARE COUNT WITH SIZE
        BCC	WRITEBUFF_FAX1		; BRANCH IF COUNT <= SIZE

?ExIt:
.IFNZ    PARALLEL                       ; If PARALLEL
        PLP                             ; Return to original interrupts status
	SEC				; Buffer is FULL! 
.ENDIF

        RTS                             ; Return to caller
          				; Else, there is room, fall through
WRITEBUFF_FAX:
					;
.IFNZ    PARALLEL                       ; If PARALLEL
        PHP                             ; Save interrupt status on to stack
        SEI                             ; Disable all interrupts to avoid SPX i
.ENDIF


WRITEBUFF_FAX1:

     .IF RHSIConfig = RHSI		;for C39/550 with RHSI enhancements
	BBRES	RHSI_Mode,?NoRHSI	;dont fiddle with I/F if not RHSI
	BBRES	SPX_RDBIE,?NotRx	;br if fax/voice data not being rcvd
	SETFLD	RhsiDataAvail		;data available in backup RAM
					;
?NoRHSI:
?NotRx:
     .ENDIF
 
	LDX	FAX_BUFF_COUNT		; LOWER BYTE BUFFER COUNT
	CPX	#<FAX_BUFF_SIZE 	; COMPARE BUFF SIZE WITH BUFF COUNT
	BNE	?NotFull		; br if at least one byte open
	LDX	FAX_BUFF_COUNT+1	; UPPER BYTE BUFFER COUNT
	CPX	#>FAX_BUFF_SIZE 	; COMPARE BUFF SIZE WITH BUFF COUNT
	BNE	?NotFull		; br if at least 256 bytes open

.IFNZ    PARALLEL                       ; If PARALLEL
        PLP                             ; Return to original interrupts status
.ENDIF
 
	SEC				; buffer is full, return carry set
	RTS				; RETURN TO THE CALLING ROUTINE

?NotFull:
	INC	FAX_BUFF_COUNT		; bump count of bytes
	BNE	?10			; br if no need to inc upper count byte 
	INC	FAX_BUFF_COUNT+1	; inc high byte of count
?10:
	STA	(FAX_BUFF_WRITE)	; save the byte

.IFNZ    PARALLEL                       ; If PARALLEL
        PLP                             ; Return to original interrupts status
.ENDIF

	INC	FAX_BUFF_WRITE		; INCREMENT LOWER BYTE WRITE POINTER
	BNE	?20			; br if no need to inc upper ptr byte 
	INC	FAX_BUFF_WRITE+1	; inc high byte 
?20:
	LDX	FAX_BUFF_WRITE		; GET LO WRITE POINTER
	CPX	#<(FAX_BUFF_END+1)	; IS = END OF BUFFER possibly?
	BCC	ExIt			; Br if not, char written --> done
	LDX	FAX_BUFF_WRITE+1	; GET HI WRITE POINTER
	CPX	#>(FAX_BUFF_END+1)	; IS = END OF BUFFER?
	BNE	ExIt			; Br if not, ---> done
					; else fall thru to wrap write ptr
	CLC				; NO ERR, clear it from CMP
	STI	<FAX_BUFF_BODY,FAX_BUFF_WRITE	; SET TOP OF BUFFER
	STI	>FAX_BUFF_BODY,FAX_BUFF_WRITE+1	; SET TOP OF BUFFER

ExIt:
	RTS				; Return to caller


;-------------------------------------
;READ A CHARACTER FROM FAX/VOICE BUFFER
;-------------------------------------

READBUFF_FAX:

.IFNZ    PARALLEL                       ; If PARALLEL
        PHP                             ; Save interrupts status on to stack
        SEI                             ; Disable all interrupts to avoid SPX i
.ENDIF
 
	LDA	FAX_BUFF_COUNT		; COUNT LOW BYTE
	BNE	?cont			; br if NOT empty
	ORA	FAX_BUFF_COUNT+1	; TEST COUNT 16-BIT VALUE FOR ZERO
	BEQ	?EMPTY			; BRANCH IF COUNT = 0
	DEC	FAX_BUFF_COUNT+1	; 256 byte index bumps down
?cont:
	DEC	FAX_BUFF_COUNT		; Decrement count, low byte
 	LDA	(FAX_BUFF_READ)		; GET DATA THROUGH READ POINTER

.IFNZ    PARALLEL                       ; If PARALLEL
        PLP                             ; Return to original interrupts status
.ENDIF

	INC	FAX_BUFF_READ		; INCREMENT LOWER BYTE READ POINTER
	BNE	?20			; br if no need to inc upper ptr byte 
	INC	FAX_BUFF_READ+1		; inc high byte 
?20:
	LDX	FAX_BUFF_READ		; GET LO READ POINTER
	CPX	#<(FAX_BUFF_END+1)	; IS = END OF BUFFER possibly?
	BCC	?ExIt2			; Br if not, char read --> done
	LDX	FAX_BUFF_READ+1		; GET HI READ POINTER
	CPX	#>(FAX_BUFF_END+1)	; IS = END OF BUFFER?
	BNE	?ExIt2			; Br if not, ---> done
					; else fall thru to wrap READ ptr
	CLC				; NO ERR, clear it from CMP
	STI	<FAX_BUFF_BODY,FAX_BUFF_READ	; SET TOP OF BUFFER
	STI	>FAX_BUFF_BODY,FAX_BUFF_READ+1	; SET TOP OF BUFFER
?ExIt2:
	RTS					; to caller

?EMPTY:

     .IF RHSIConfig = RHSI	;for C39/550 with RHSI enhancements
	BBRES	RHSI_Mode,?NoRHSI	;dont fiddle with I/F if not RHSI
	RESFLD	RhsiDataAvail		;data available in backup RAM

;;;;;;;;;;;;;;;;;;;;;;;; DELETE LATER IF NOT NEEDED ;;;;;;;;;;;;;;;;;;;;;;;;
;;;	RESFLD	RHSI_NoHoldRx		;Buffer cleared, now can hold data again
;;;					;till RHSI_ThreshRx crossed or timeout

?NoRHSI:
?NotRx:
     .ENDIF
 

.IFNZ    PARALLEL                       ; If PARALLEL
        PLP                             ; Return to original interrupts status
.ENDIF
 
	SEC				; ERROR (NO MORE CHARS IN BUFFER)
	RTS				; RETURN TO THE CALLING ROUTINE


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;; Clear Terminal Buffer ;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

CLRBUFF_TRM:

	PHP
	SEI

; CLEAR BUFFER COUNTER
;----------------------
     .IF RHSIConfig = RHSI	;for C39/550 with RHSI enhancements
	BBRES	RHSI_Mode,?NoRHSI	;dont fiddle with I/F if not RHSI
?NoRHSI:
     .ENDIF

	LDA	#0			; PRESET COUNT TO ZERO
	STA	TERM_BUFF_COUNT		; LO COUNT BYTE = 0

	STA	TERM_BUFF_COUNT+1	; HI COUNT BYTE = 0
	LDA	#<TERM_BUFF_BODY	; GET LO BYTE OF BUFFER TOP
	STA	TERM_BUFF_READ		; SET LO BYTE OF READ POINTER
	STA	TERM_BUFF_WRITE		; SET LO BYTE OF WRITE POINTER

	LDA	#>TERM_BUFF_BODY	; GET HI BYTE OF BUFFER TOP
	STA	TERM_BUFF_READ+1 	; SET HI BYTE OF READ POINTER
	STA	TERM_BUFF_WRITE+1	; SET HI BYTE OF WRITE POINTER


	PLP
	RTS				; RETURN TO THE CALLING ROUTINE

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;; Clear Modem Buffer ;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

CLRBUFF_MOD:

	PHP
	SEI

; CLEAR BUFFER COUNTER
;----------------------

     .IF RHSIConfig = RHSI	;for C39/550 with RHSI enhancements
	BBRES	RHSI_Mode,?NoRHSI	;dont fiddle with I/F if not RHSI
	RESFLD	RhsiDataAvail		;no data in RAM anymore

;;;;;;;;;;;;;;;;;;;;;;;; DELETE LATER IF NOT NEEDED ;;;;;;;;;;;;;;;;;;;;;;;;
;;;	RESFLD	RHSI_NoHoldRx		;Buffer cleared, now can hold data again
;;;					;till RHSI_ThreshRx crossed or timeout

?NoRHSI:
     .ENDIF

	BBSET	Voice_Mode,CLRBUFF_FAX ; Fax/voice buffer

	BBSET	FCLASS_1,CLRBUFF_FAX 	; Fax/voice buffer
	BBSET	FCLASS_2,CLRBUFF_FAX 	; Fax/voice buffer
	LDA	#0			; PRESET COUNT TO ZERO
	STA	MODEM_BUFF_COUNT	; LO COUNT BYTE = 0


	STA	MODEM_BUFF_COUNT+1	; HI COUNT BYTE = 0
	LDA	#<MODEM_BUFF_BODY	; GET LO BYTE OF BUFFER TOP
	STA	MODEM_BUFF_READ		; SET LO BYTE OF READ POINTER
	STA	MODEM_BUFF_WRITE	; SET LO BYTE OF WRITE POINTER

	LDA	#>MODEM_BUFF_BODY	; GET HI BYTE OF BUFFER TOP
	STA	MODEM_BUFF_READ+1 	; SET HI BYTE OF READ POINTER
	STA	MODEM_BUFF_WRITE+1	; SET HI BYTE OF WRITE POINTER


	PLP
	RTS				; RETURN TO THE CALLING ROUTINE


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;; Clear Fax/Voice Buffer ;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

CLRBUFF_FAX:

; CLEAR BUFFER COUNTER
;----------------------

	LDA	#0			; PRESET COUNT TO ZERO
     .IF RHSIConfig = RHSI		;for C39/550 with RHSI enhancements
	BBRES	RHSI_Mode,?NoRHSI	;dont fiddle with I/F if not RHSI
	RESFLD	RhsiDataAvail		;Buffer empty now, no data for PC

;;;;;;;;;;;;;;;;;;;;;;;; DELETE LATER IF NOT NEEDED ;;;;;;;;;;;;;;;;;;;;;;;;
;;;	RESFLD	RHSI_NoHoldRx		;Buffer cleared, now can hold data again
;;;					;till RHSI_ThreshRx crossed or timeout

?NoRHSI:
     .ENDIF
 
	STA	FAX_BUFF_COUNT		; LO COUNT BYTE = 0
	STA	FAX_BUFF_COUNT+1	; HI COUNT BYTE = 0
	LDA	#<FAX_BUFF_BODY		; GET LO BYTE OF BUFFER TOP
	STA	FAX_BUFF_READ		; SET LO BYTE OF READ POINTER
	STA	FAX_BUFF_WRITE		; SET LO BYTE OF WRITE POINTER

	LDA	#>FAX_BUFF_BODY		; GET HI BYTE OF BUFFER TOP
	STA	FAX_BUFF_READ+1 	; SET HI BYTE OF READ POINTER
	STA	FAX_BUFF_WRITE+1	; SET HI BYTE OF WRITE POINTER

	PLP
	RTS				; RETURN TO THE CALLING ROUTINE


;==============================================================================


	.SUBTITLE INTEGER MATH PACKAGE 
	.PAGE
;=======================================================================;
;									;
;	PACKAGE:	MATH						;
;									;
;	PURPOSE:	MULTIPLY AND DIVIDE ROUTINES			;
;									;
;	AUTHOR:	 S. J.							;
;									;
;	REVISION							;
;	HISTORY:						 	;
;									;
;	ASSOCIATE							;
;	DESIGN MODULE:  *.PDS						;
;									;
;	INPUTS:	 R0 .. R5						;
;	OUTPUTS:	R0 .. R5					;
;									;
;	PROCESSING:	MPYx16  -  16x16 Bit Multiply,			;
;					R3,R2,R1,R0 = R1,R0 x R5,R4	;
;									;
;			MPYx8   -   8x 8 Bit Multiply,			;
;					R1,R0 = R0 x R4			;
;									;
;			DIVx16  -  32x16 Bit Divide,			;
;					R1,R0 = R3,R2,R1,R0 / R5,R4	;
;					R3,R2 = REMAINDER		;
;									;
;			DIVx8	-  16x 8 Bit Divide,			;
;					R0 = R1,R0 / R4, R1 = REMAINDER ;
;									;
;=======================================================================;
;				
; PRODUCT:	EQU	R0,R1,R2,R3	; RAM Space Equivalences
; MULTIPLICAND:	EQU	R2,R3
; MULTIPLIER:	EQU	R4,R5
;
; DIVIDEND:	EQU	R0,R1,R2,R3
; DIVISOR:	EQU	R4,R5
; QUOTIENT:	EQU	R0,R1
; REMAINDER:	EQU	R2,R3
;
; DIVIDEND:	.DS  	BYTE*4		; 32-bit Dividend
; DIVISOR:	.DS  	BYTE*2		; 16-bit Divisor
; QUOTIENT:	EQU	DIVIDEND	; 16-Bit Quotient
; REMAINDER:	EQU	DIVIDEND+2	; 16-bit Remainder
; PRODUCT:	EQU	DIVIDEND	; 32-bit Product
; MULTIPLICAND:	EQU	PRODUCT 	; 16-bit Multiplicand
; MULTIPLIER:	EQU	DIVISOR		; 16-bit Multiplier
;
;==============================================================================
	.SUBTITLE MPYx8 Procedure
	.PAGE
;==============================================================================
;
;	MPYx8: 		8x8 Bit Multiply
;			PRODUCT = MULTIPLICAND X MULTIPLIER
;		 	  R1,R0 = R0 x R4
;______________________________________________________________________________

MPYx8:			; E N T R Y

	LDA	#0		; Initialize Product
	STA	R1; PRODUCT+1	

	LDY	#9 		; Bit Count + 1 (for last Carry Bit)
	CLC			; Clear Carry for first time through loop

?RRx16:			; Shift MULTIPLICAND LSB into Carry Bit
	ROR	R1; PRODUCT+1
	ROR	R0; PRODUCT+0
	BCC	?MPYx8_LOOP

	CLC			; Carry = 1:  ADD MULTIPLIER
	LDA	R1; PRODUCT+1
	ADC	R4; MULTIPLIER
	STA	R1; PRODUCT+1

?MPYx8_LOOP:
	DEY			; Next Shift Count
	BNE	?RRx16		; Continue

	RTS			; Exit	

	
;=========================================================================
.IFNDEF PLCTOOLS
	.ENDS				; END OF THE CODE SEGMENT
.ENDIF

		.IFDEF ISDN
		ProdNum_3:	EQU 		'C'
		.ELSE
		ProdNum_3:	EQU 		'0'
		.ENDIF
		ProdNum_0:	EQU		'0'
 .IFZ PARALLEL		;Serial
           .IFNDEF ACF
		.IFFALSE (SVDConfig=DSVD) .OR. (SVDConfig=BothDSVD)
		ProdNum_2:	EQU	        '0'
		ProdNum_1:	EQU	        '6'
		.ELSE
		ProdNum_2:	EQU	        '0'
		ProdNum_1:	EQU	        '8'
		.ENDIF ;DSVD
	   .ELSE
		.IFFALSE (SVDConfig=DSVD) .OR. (SVDConfig=BothDSVD)
		ProdNum_2:	EQU	        '0'
		ProdNum_1:	EQU	        'A'
		.ELSE
		ProdNum_2:	EQU	        '0'
		ProdNum_1:	EQU	        'B'
		.ENDIF ;DSVD
	   .ENDIF ;ACF
 .ELSE ;Parallel
   .IFNDEF	P39		;Not PCMCIA so it must be desktop
           .IFNDEF ACF
		.IFFALSE (SVDConfig=DSVD) .OR. (SVDConfig=BothDSVD)
		ProdNum_2:	EQU	        '1'
		ProdNum_1:	EQU	        '2'
		.ELSE
		ProdNum_2:	EQU	        '1'
		ProdNum_1:	EQU	        '4'
		.ENDIF ;DSVD
	   .ELSE
		.IFFALSE (SVDConfig=DSVD) .OR. (SVDConfig=BothDSVD)
		ProdNum_2:	EQU	        '1'
		ProdNum_1:	EQU	        '6'
		.ELSE
		ProdNum_2:	EQU	        '1'
		ProdNum_1:	EQU	        '7'
		.ENDIF ;DSVD
	   .ENDIF ;ACF
    .ELSE ;P39
           .IFNDEF ACF
		.IFFALSE (SVDConfig=DSVD) .OR. (SVDConfig=BothDSVD)
		ProdNum_2:	EQU	        '1'
		ProdNum_1:	EQU	        'E'
		.ELSE
		ProdNum_2:	EQU	        '2'
		ProdNum_1:	EQU	        '0'
		.ENDIF ;DSVD
	   .ELSE
		.IFFALSE (SVDConfig=DSVD) .OR. (SVDConfig=BothDSVD)
		ProdNum_2:	EQU	        '2'
		ProdNum_1:	EQU	        '2'
		.ELSE
		ProdNum_2:	EQU	        '2'
		ProdNum_1:	EQU	        '3'
		.ENDIF ;DSVD
	   .ENDIF ;ACF
    .ENDIF ;P39
 .ENDIF ;PARALLEL	



WR_RAM_PnP_Data:	; Write modifiable PnP data to RAM from NVM or ROM
			; This routine is used by COM and ISA PnP both!

	JSR	NVM_PRESENT             ; check to see if NVM is present
	BCS	?WR_RAM_ROM_Dflts	; br if NVM not present or !initialized
	LDX	#0			
	STX	PnP_NVM_Chksum		; clear Checksum that is used to verify
	ENRP	R0,VendorID_NVM		; the contents of PnP NVM Data.

?Next_VendorID_Byte:			; loop for 7 byte Vendor ID
	JSR	NVM_READ                ; read byte from NVM indexed by X
	STA	ASCII_VendorID_Tbl,X    ; store data in RAM table
	BEQ	?WR_NVM_ROM_Dflts	; no nulls allowed in ASCII Stored data
	ADD	PnP_NVM_Chksum          ; update the checksum used to verify
	STA	PnP_NVM_Chksum		; the contents of NVM PnP data.
	INX				; increment RAM and NVM index
	CPX	#7                      ; ASCII RAM tbl.-> 7 bytes for Vendor ID
	BCC	?Next_VendorID_Byte	; br if < 7 bytes read/written
	LDA	#'\'                    ; In the COM PnP spec. '\' is required
	STA	ASCII_PnP_Tbl,X		; to precede the Serial Num. field
	LDX	#0			; reset Index
	ENRP	R0,SerialNum_NVM        ; prepare for storing serial number

?Next_SerialNum_Byte:			; loop for 8 byte serial number
	JSR	NVM_READ		; read NVM with index of X
	STA	ASCII_SerialNum_Tbl,X   ; store data into RAM table
	BEQ	?WR_NVM_ROM_Dflts	 	; no nulls allowed in ASCII Stored data
	ADD	PnP_NVM_Chksum          ; update the checksum used to verify
	STA	PnP_NVM_Chksum		; the contents of NVM PnP data.
	INX				; increment RAM and NVM index
	CPX	#8			; ASCII RAM tbl.-> 8 bytes for serial #
	BCC	?Next_SerialNum_Byte	; br if < 8 bytes read/written
	JSR	NVM_READ		; read NVM stored checksum
	ADD	PnP_NVM_Chksum		; add calculated chcksum to NVM chksum
	BNE	?WR_NVM_ROM_Dflts	 	; br if (data + checksum) != 0 

	RTS    		; Return 1 of 2 for WR_RAM_PnP_Data	


?WR_NVM_ROM_Dflts: 	; Write to NVM ROM defaults for Vendor ID & Serial # 
                        ; NVM Checksum failure or Nulls in NVM (PnP Area Only)
	LDX	#0                      ; reset index
	STX	PnP_NVM_Chksum          ; clear checksum
        ENRP	R2,VendorID_NVM         ; prepare to write to NVM VendorID area

?WR_NVM_VendorID:	; Read ROM VendorID default and write to NVM	
	LDA	ROM_VendorID,X          ; read Vendor ID out of ROM based Table
        JSR	NVM_WRITE               ; write the ROM value to NVM
	ADD	PnP_NVM_Chksum          ; update the checksum used to verify
	STA	PnP_NVM_Chksum		; the contents of NVM PnP data.
	INX
	CPX	#7
	BCC	?WR_NVM_VendorID	; br if < 7 bytes read/written
	ENRP	R2,SerialNum_NVM        ; prepare to write to NVM Serial # area
	LDX	#0	                ; reset index for next read & writes

?WR_NVM_SerialNum: 	; Read ROM Serial # default and write to NVM
	LDA     ISA_ROM_SerNum,X        ; read Serial # out of ROM based Table
        JSR	NVM_WRITE
	ADD	PnP_NVM_Chksum          ; update the checksum used to verify
	STA	PnP_NVM_Chksum		; the contents of NVM PnP data.
	INX
	CPX	#8			
	BCC	?WR_NVM_SerialNum	; br if < 8 bytes read/written	
	NEG	A                       ; create 2's complement for checksum
        JSR	NVM_WRITE		; write checksum to NVM
		
?WR_RAM_ROM_Dflts:	; Write ROM PnP defaults to RAM table 
	LDX 	#0
?Next_Default_Byte:
	LDA	ROM_Dflt_PnP_Data,X	; and serial number
	STA	ASCII_PnP_Tbl,X         ; store the data in RAM table
	INX                             ; increment RAM and ROM index
	CPX	#16                     ; 7b VendorID + 1b '\'+ 8b SerNum = 16b
	BCC	?Next_Default_Byte	; br if nto finished with default ROM

	RTS    		; Return 2 of 2 for WR_RAM_PnP_Data	

;=======================================================================;
;									;
;	PROCEDURE:	Check_PnP_COM					;
;									;
;	PURPOSE:	Follow Plug and Play COM Device Specification,	;
;			to allow a COM enumerator (on DTE) to 		;
;			identify the modem as a plug and play modem.	;
;									;
;	INPUTS:		DTE leads and modem state			;
;									;
;	OUTPUTS:	PnP COM identification to host when		;
;			  correct PnP COM sequence detected		;
;									;
;	PROCESSING: 	Exit if incoming ring, executing AT cmd,	;
;			setting up call, in test mode, or         	;
;			DTE control leads do not meet the timing        ;	
;			requirements stated in the COM PnP spec.        ;  
;                                                                       ;
;	NOTE:		This function should not be called if the       ;
;			modem is already offhook.		        ;   
;									;
;=======================================================================;

Check_PnP_COM:	   	; check to see if COM enumeration is occurring
		   	; on the DTE.

	BBSET	RNGFLG,?Bye		; If currently have ring burst, skip
	LDA	SREG1			; If previously had rings, skip
	BNE	?Bye
	BBSET	CMD_VEC,?Bye		; Skip if currently executing command
	BBSET	DIALER_VEC,?Bye		;   or if setting up call.
	BBSET	DIAG_TEST,?Bye		;   or if in test mode

	BBSET	PnP_COM_TMR,?Check_tmr	; If timer already started, check it
	BBSET	PnP_COM_LOW,?Check_dte	; If saw DTR=RTS=0, check dte leads

	; Looking for start of PnP COM sequence: DTR = RTS = 0
	JSR	GET_RTS			; Look for RTS off
	BCS	?Bye			;  exit if on
	JSR	GET_DTR			; Look for DTR off
	BCS	?Bye			;  exit if on
	SETFLD	PnP_COM_LOW		; Flag that saw DTR=RTS=0

?Check_dte:	; Looking for DTR = 1, RTS = 0
	JSR	GET_RTS			; Check that RTS still off
	BCS	?Reset			;   reset procedure if RTS comes on 1st
	JSR	GET_DTR			; Look for DTR on
	BCS	?Start_tmr		;   start timer when comes on
					;  else fallthrough and exit

?Bye:	RTS             ; Return 1 of 2 for Check_PnP_COM

?Start_tmr:
	SETFLD	PnP_COM_TMR		; Flag that timers have started
	SET10MS	TIMER_0,15		; Timer 0 checks for time too short
					;       (t < 160ms)
	SET10MS	TIMER_1,24		; Timer 1 checks for time too long 
					;       (t > 240ms)

?Check_tmr:
	; Looking for RTS transition 200ms after DTR transition
	BBSET	TIMER_1,?Reset		; Reset procudure if 250ms passed
	JSR	GET_DTR			; Make sure DTR still on
	BCC	?Reset			; reset procedure if DTR goes off
	JSR	GET_RTS			; Look for RTS on
	BCC	?Bye			;  Exit if still off
	BBRES	TIMER_0,?Reset		; Reset procedure of < 150ms between
					;  transitions

	; Saw correct PnP COM Enumerator, output PnP COM ID
    .IFZ	PARALLEL	; Serial
	LDA	BAUD_INDEX		; Save old baud rate
	PHA
	LDA	SCCR_CONFIG		; And parity/word/stop settings
	PHA
	LDA	#B1200_INDEX		; Set UART to 1200bps
	STA	BAUD_INDEX		; Save for message inter char timer
	JSR	DTE_SPEED		; And set DTE to 1200 bps
	LDA	#6			; Prepare for 7N2
	STA	SCCR_CONFIG		;  - SLR programmed in PRT_MESSAGE
    .ELSE			; Parallel
	JSR	DTE_DEFAULT		; Set speed from 16450/550 values
    .ENDIF

	JSR	Print_PnP_ID_Rsp        ; Print COM PnP information

    .IFZ	PARALLEL	; Serial
	PLA
	STA	SCCR_CONFIG		; Restore parity/word/stop settings
	STA	SLREG			;   and use straight away
	PLA
	STA	BAUD_INDEX		; Restore old DTE rate
	JSR	DTE_SPEED
    .ENDIF

?Reset:
	RESFLD	PnP_COM_LOW
	RESFLD	PnP_COM_TMR

	RTS	 	; Return for Check_PnP_COM


Print_PnP_ID_Rsp:	; Print with SPEED SENSE CHECK 
			; Routine accomodates serial and parallel both

.IFZ	PARALLEL		; Serial

	PHP				; Save Status (IRQ)
	SEI				; Disable Interrupts
	BBSET	EI_CNTA,?NEW_SS		; Counter A IRQ Set => Speed Sensing
	PLP				; Not Set, Restore Status (IRQ)

	JSR	PRINT_WITH_SAVED_UART	;Execute print procedure
	BRA	?EXIT			; Done, Exit

?NEW_SS:				; Speed Sensing in Progress
	RESFLD	EI_CNTA			; Clear Counter A IRQ
	RESFLD	SFR_HW_ECHO		; Insure UART Loopback is OFF now
	PLP				; Restore Status (IRQ)
	LDA	BAUD_INDEX		; Get Previous Baud Rate
	JSR	DTE_SPEED		; Set Baud Rate
	JSR	PRINT_WITH_SAVED_UART	; Execute print procedure
	JSR	ENA_SP_SENSE		; Reset Speed Sensing

?EXIT:				; Normal Exit
	RTS			; Return for Print_PnP_ID_Rsp

PRINT_WITH_SAVED_UART:      		; (Serial Version)
	LDA	SCCR_CONFIG		; Get Previous UART Configuration
	STA	SLREG			; Set UART Configuration
	LDA	SCCR2_CONFIG	
	STA	SMR		
?PRT:				

	.ELSE			; Parallel
	JSR	PRINT_WITH_SAVED_UART	;Execute print procedure
	RTS				; Done, Exit

PRINT_WITH_SAVED_UART: 			; (Parallel Version)
	.ENDIF         		; End of Serial / Parallel conditionals

	JMP 	Prt_COM_PnP_Msg	; print the PnP ID response       
		


PRT_RAM_PnP_Data: 	; Read PnP data stored in RAM

	LDX 	#0			
?Read_NextByte:				;Loop out the digits
	LDA	ASCII_PnP_Tbl,X
	JSR	DTE_PUTCP		; Output character
	ADD	COM_PnP_Checksum
	STA	COM_PnP_Checksum
	INX
	CPX	#16			; 16 bytes of VendorID + '\' + Sernum
	BCC	?Read_NextByte		; get next digit, else

	RTS             ; Return for PRT_RAM_PnP_Data


RD_ROM_and_Prt:		; Read ROM and print results to DTE

	LDX 	#0			
?Read_NextByte:				; Loop out the digits
	LDA	(R0),X
	BEQ	?End_Prt                ; exit on Null
	INX
	JSR	DTE_PUTCP		; Output character
	ADD	COM_PnP_Checksum	
	STA	COM_PnP_Checksum        ; Update checksum
	BRA	?Read_NextByte

?End_Prt:
	RTS 	 	; Return for RD_ROM_and_Prt



Prt_COM_PnP_Msg:	; Print PnP COM information as per COM PnP spec

        LDA	End_PnP          	; Load checksum seed as End_PNP
	STA	COM_PnP_Checksum	 
	ENRP	R0,Begin_PnP		
	JSR	RD_ROM_and_Prt          ; Print PnP Beginning and PnP Rev
	JSR	WR_RAM_PnP_Data		; Load RAM with NVM or ROM data
	JSR	PRT_RAM_PnP_Data        ; Send to DTE RAM based table
	ENRP	R0,Dev_Class_Name       ; print device class (modem)
	JSR	RD_ROM_and_Prt          ; Print Modem class & compatible Dev IDs
	ENRP	R0,COM_UserName
	JSR	RD_ROM_and_Prt
	LDX	#1	
	LDA	COM_PnP_Checksum        ; A = Checksum
	AND	#$0F                    ; A = LSB of checksum
	BRA	?check_nibble

; convert checksum from 2 hex nibbles to 2 ASCII bytes; e.g., $23 -> '23'
?MSN_Checksum:  			; Most Significant Nibble of Checksum
	LDA	COM_PnP_Checksum        ; Load Checksum 
	LSR	A	
	LSR	A	
	LSR	A
	LSR	A                       ; Shift Checksum right 4 X
?check_nibble:                          ; Nibble must be between 0 and 15
	CMP	#10
	BCS	?alpha                  ; br if nibble >= 10  => Alpha char
?digit:
	ADD     #'0'                    ; decimal -> numeric ('0'-'9') ASCII
	BRA	?continue
?alpha:
	ADD	#'A' - 10               ; decimal ->  alpha ('A'-'F') ASCII
?continue:
	STA	COM_PnP_Checksum,X
	DEX
	BEQ	?MSN_Checksum
	LDA	COM_PnP_Checksum	; MSB of checksum
	JSR	DTE_PUTCP		; Output character
	LDA	COM_PnP_Checksum+1	; LSB of checksum
	JSR	DTE_PUTCP		; Output character
	LDA	End_PnP			; $29 End PnP
	JSR	DTE_PUTCP		; Output character		
?EXIT:
	JSR	DTE_TX_READY		; Wait for XMTR Completion

	RTS   		; Return for Prt_COM_PnP_Msg



; PnP COM Specific Information

PnP_COM_MSG:		.EQU	$

Begin_PnP:		.DB	$28	       	; Begin PnP
COM_PnP_Rev:		.DB	$01,$24		; Version 1.0 PnP
End_String1:		.DB	0

Dev_Class_Name:		.DB	'\MODEM'	; Microsoft Class Name
Compat_Dev_ID:		.DB	'\'
ISA_Compat_ID		.DB	'RSS'      	; Compatible Dev ID 
Compat_ProdNum:	.DB	ProdNum_3, ProdNum_2, ProdNum_1, ProdNum_0
			.BLKB	Compat_Dev_ID + 25 - $, 0
			; Allow for three compatible device ID's
			; 3 IDs + 2 commas + 1 extend + 1 terminatng null = 25


; COM and ISA PnP combo section  ------------------------------------------


; NOTE For ISA Implementation:
;
; 	The current PnP device has only 64 bytes of RAM to store the
;	Serial Identifier and Resource Data.  
;
;	64 bytes available - Resource Info (excluding end-user legible
;       identifier) - Serial ID = 55 bytes.
;  	=> Max # of Bytes available for end-user legible name = 64 - 55 = 9.


COM_UserName: 		.DB	'\'

.IFDEF ISDN
ISA_ANSI_ID: 		.DB	'Rockwell I-WCEM'     	; 
.ELSE

.IFDEF	K56PLUS			; If K56Plus is enabled
ISA_ANSI_ID: 		.DB	'56'     	; 
.ELSE
 .IFDEF V34_PLUS
ISA_ANSI_ID: 		.DB	'33.6'     	; 
 .ELSE ;Limit is 28.8
ISA_ANSI_ID: 		.DB	'28.8'     	; 
 .ENDIF ;V34_PLUS
.ENDIF				;End of K56PLUS

Common_Name:		.DB	'Modem'         ; 5 bytes 
						
.ENDIF	;ISDN						; 4 + 5 = 9 bytes
						; 9 bytes end-user legible name

			.BLKB	ISA_ANSI_ID + 41 - $, 0
			;  Fill area with nulls so that 40 bytes total are
			;  reserved for end-user legible name. ( 1 byte
			;  Null terminator )

ROM_Dflt_PnP_Data:     	.EQU	$
ROM_VendorID:		.EQU	$
EISA_ID:		.DB	'RSS'	 	; Rockwell EISA ID
Vendor_ProdNum		.DB	ProdNum_3, ProdNum_2, ProdNum_1, ProdNum_0
COM_ROM_SerNum:		.DB	'\'             ; COM extend character
ISA_ROM_SerNum:		.DB	'12345678'	; Must be 8 bytes!!

End_PnP:		.DB	$29           	; End PnP tag

;=======>  **********Beginning of ISA PnP Specific Section *******************
.IFDEF	PnP_Enabled		        ; PnP unit exists in hardware

LargeItem_ID:		.EQU	$82

; ISA PnP Blocks of data

PnP_DataBlk1:
	.DB	$0A			; Small Item PNP VERSION
	.DB	$10,$00			; Major version = 1, Minor ver. = 0
	.DB	$15			; Small Item LOGICAL ID
Len_PnP_DataBlk1: .EQU    ($-PnP_DataBlk1)

PnP_DataBlk2:
	.DB	$02			; Command 31, no boot
	.DB	$30			; Dependent function BEST
PnP_Fixed_Port:
	.DB	$4B  			; Fixed I/O
	.DB	$F8,$02			; I/O Base Address 2F8
	.DB	$08			; Length 8 bytes
	.DB	$23			; IRQ description
	.DB	$08,$00			; IRQ 3 only 
	.DB	$04			; High true level
	.DB	$30			; Dependent function BEST
	.DB	$4B			; Fixed I/O
	.DB	$E8,$03			; I/O Base Address 3E8
	.DB	$08			; Length 8 bytes
	.DB	$23			; IRQ description
	.DB	$B0,$00			; IRQ 4,5,7
	.DB	$04			; High true level
	.DB	$30			; Dependent function BEST
	.DB	$47			; Small Item I/O
	.DB	$00			; Decode ISA only
	.DB	$00,$01			; Minimum I/O, 0x100
					; Some PnP BIOS manufacturers
					; have difficulty when the minimum
					; is set to 0x000.     7/95
	.DB	$F8,$03			; Maximum I/O, 0x3F8
	.DB	$08			; Alignment
	.DB	$08			; Number of I/O
	.DB	$23			; IRQ description
  .IFDEF PnP39
	.DB	$B8,%10011110		; IRQ 3,4,5,7,9,10,11,12,15
 .ELSE
	.DB	$B8,0			; IRQ 3,4,5,7 supported by 11575
 .ENDIF ;PnP39
	.DB	$04			; High true level
        .DB	$38                     ; End of dependent functions
	.DB	$79			; End Tag
Len_PnP_DataBlk2: .EQU    ($-PnP_DataBlk2)



;=======================================================================;
;									;
;	PROCEDURE:	INIT_PNP					;
;									;
;	PURPOSE:	To program the PnP Device RAM with all of the 	;
;			information required by the ISA Plug-and-Play	;
;			Specification.					;
;									;
;	INPUTS:		NVM data and ROM data    			;
;									;
;	OUTPUTS:	PnP ISA information gets sent to the PnP	;
;			Resource RAM					;
;									;
;=======================================================================;

INIT_PNP:                       ; Initialize PnP device (Called on powerup only)

  .IFDEF  PnP39				;If PnP39
	SETFLD	PnPSelect		;Set PB1 high	
	STI	PnP_PBS_DEF,PBS		;Use PB1 to select PnP device
  .ELSE
        LDA	ESR			; Get ESR value
	PHA				; Save ESR value
	LDA	BS5			; Get BS5 value
	PHA				; Save BS5 value
        STI     01110000B,BS5           ; PnP at $A000 with /ES3 select
        STI     01000000B,ESR           ; x2 clock time for ES3
  .ENDIF
	JSR	Pack_PnP_VendorID 	; Fetch VendorID from NVM/ROM and Pack
	LDA	#$6A			; 0x6A is the seed for LSFR
	STA	PnP_SerialID_Chksum	; Initialize Serial ID checksum
	JSR	WR_PnP_PackedVendorID   ; Write Packed PnPVendorID to PnP device
        JSR     WR_PnP_SerialNum        ; Write Serial # + Chksum to PnP device
        LDX     #0			; Initialize resource data byte count
	STX	PnP_Resource_Chksum     ; Initialize checksum
	JSR	WR_PnP_LenName		; Write Length of Name to PnP Dev
	JSR	WR_PnP_EndUserMsg       ; Write end-user legible Name to PnP Dev
	ENRP	R0,PnP_DataBlk1		; write resource data block 1 to the
        STI	Len_PnP_DataBlk1,R6     ; PnP device
	JSR	WR_PnP_DataBlk          
	JSR	WR_PnP_PackedVendorID	; **  write VendorID to PnP dev. **
					; (logical device id = Vendor id)
	ENRP	R0,PnP_DataBlk2		 
	STI	Len_PnP_DataBlk2,R6	; write resource data block 2 to the
	JSR	WR_PnP_DataBlk          ; PnP device
	NEG	A			; Create 2's complement checksum
	STA	PnP_Device		; Write checksum to PnP 
  .IFDEF  PnP39
	LDX	#64			;Write 64 more 00's for the PNP39
	LDA	#00
?LpFill_128:
	STA	PnP_Device
	DEX
	BNE	?LpFill_128
	STI	PBS_DEF,PBS		;Restore PBS to default
  .ELSE
	PLA				; Pop BS5 value
	STA	BS5			; restore BS5 ptr to RAM     
	PLA				; Pop ESR value
	STA	ESR			; restore ESR
  .ENDIF
        RTS    		; Return for INIT_PNP



Pack_PnP_VendorID:  	; Pack Vendor ID into ISA PnP form
			; 7 bytes ASCII -> 4 bytes packed

	JSR	WR_RAM_PnP_Data		; get modifiable PnP data into RAM 
?Pack_EISA_ID:         	       		; Pack 3 byte ASCII EISA ID into 2 bytes
	LDA	ASCII_PnP_Tbl         	; get the first byte of EISA ID
	SEC				; set carry since SBC is next
	SBC	#'A'- 1                 ; find offset from 'A'
	ASL	A			
	ASL	A                       
	STA	R6               	; R6 = (ASCII_PnP_Tbl[0] - 'A' + 1) << 2
	LDA	ASCII_PnP_Tbl + 1       ; get the second byte of the EISA ID
	SEC                             ; set carry since SBC is next
	SBC	#'A'- 1                 ; find offset from 'A'
	ASR	A                       
	ASR	A                       
	ASR	A                       ; A = (ASCII_PnP_Tbl[1] - 'A' + 1) >> 3
	ORA	R6                      
	STA	Packed_PnP_Tbl          ; Packed_PnP_Tbl[0] = R6 || A
	LDA	ASCII_PnP_Tbl + 1       ; load the second byte of the EISA ID
        SEC                             ; set carry since SBC is next
	SBC	#'A'- 1                 ; find offset from 'A'
	ASL	A                       
	ASL	A                       
	ASL	A                       
	ASL	A                       
	ASL	A                       
	STA	R6               	; R6= (ASCII_PnP_Tbl[1] - 'A' + 1)<< 5
	LDA	ASCII_PnP_Tbl + 2       ; load the third byte of the EISA ID
	SEC                             ; set carry since SBC is next
	SBC	#'A'- 1                 ; A = (ASCII_PnP_Tbl[2] - 'A' + 1)
	ORA	R6                      ;
	STA	Packed_PnP_Tbl + 1      ; Packed_PnP_Tbl[1] = R6 || A
	LDX	#2                      ; X is the index for the Packed table
	LDY	#2                      ; Y is the index for the ASCII table

?Pack_ProductNum:     			; Pack 4 bytes ASCII Product #/Revision
	INY                     	; pack to 2 bytes (4 bytes -> 4 nibbles)
	LDA	ASCII_PnP_Tbl,Y 	
	STA	R2			
	BBR	6,R2,?Good_LSN		; br if R2 = '0' - '9'
	ADD	#9              	; Since 'A'-'F' add 9 : 'A' = 0100 0001

?Good_LSN:				; Good Least Significant Nibble
	AND	#$0F            	; reset bits 6,5,4 (7 is already reset)
	ASL	A			
	ASL	A                       
	ASL	A                       ; shift left 4 times 
	ASL	A                       ; MSN=LSN, LSN=0
	STA	R6                      
	INY                             
	LDA	ASCII_PnP_Tbl,Y         
	STA	R2			 
	BBR	6,R2,?Good_LSN_2 	; br if R2 = '0' - '9'
	ADD	#9              	; Since 'A'-'F' add 9 : 'A'= 0100 0001

?Good_LSN_2:                     	; Good Least Significant Nibble
	AND	#$0F			; reset bits 6,5,4 (7 is already reset)
	ORA	R6                      	
	STA	Packed_PnP_Tbl,X        ;Packed_PnP_Tbl[x++]=(ASCII_PnP_Tbl[y++]
	INX	                        ;       && 0x0F ) << 4 || 
	CPX	#4                      ;       ASCII_PnP_Tbl[y]
	BCC	?Pack_ProductNum         

	RTS      	; Return for Pack_PnP_VendorID


WR_PnP_DataBlk:        	; Write PnP Data Block
		       	; Data block is comprised of PnP Resource data

	LDX	#0              	; reset index for RAM tbl
?Next_PnP_Resource_Byte:               
        LDA     (R0),X			; Load from ROM based tbl
        STA     PnP_Device              ; Write to PnP unit             
	ADD	PnP_Resource_Chksum	; Update checksum for Serial ID
	STA	PnP_Resource_Chksum     ; Update checksum for Serial ID
	INX				; Next byte
	CPX	R6			; Is it the end ?
        BNE     ?Next_PnP_Resource_Byte ; Not Done, loop back

	RTS		; Return for WR_PnP_DataBlk


WR_PnP_LenName:   	; Write Length of end-user legible name to PnP Device
                        ; Three bytes will be sent:
			;  (1) large item identifier   	       	          -> $82
			;  (2) LSB of Length of the end-user legible name -> Var
			;  (3) MSB of Length of the end-user legible name -> $00

	LDA	#LargeItem_ID		; $28
        STA	PnP_Device              ; write large item identifier
	ADD	PnP_Resource_Chksum	; Update checksum for Serial ID
	STA	PnP_Resource_Chksum     ; Update checksum for Serial ID
	LDX	#0
	ENRP	R0,ISA_ANSI_ID
?Len_EndUserMsg:                       	; determine the length of the end-user
	LDA	(R0),X	                ; legible name, since this is part of 
	BEQ	?Len_is_X		; the resource info.
	INX	                        ; The length should not exceed 40.
	BRA	?Len_EndUserMsg		; (40 is the max for the COM
					;  implementation, but ISA and COM
					;  currently share the same msg)
?Len_is_X:
	TXA                             ; A = length of Name
	STA	PnP_Device              ; Write LSB of length to PnP Device
	ADD	PnP_Resource_Chksum	; Update checksum for Serial ID
	STA	PnP_Resource_Chksum     ; Update checksum for Serial ID	
	LDA	#0			; MSB of Length
	STA	PnP_Device

	RTS		; Return for WR_PnP_LenName


WR_PnP_EndUserMsg:   	; Write the end-user legible Product Description
			;  to PnP Device. 

	ENRP	R0,ISA_ANSI_ID
	LDX	#0              	; reset index for RAM tbl
?Next_PnP_Resource_Byte:               
        LDA     (R0),X			; Load from ROM based tbl
	BEQ	?exit
        STA     PnP_Device              ; Write to PnP unit             
	ADD	PnP_Resource_Chksum	; Update checksum for Serial ID
	STA	PnP_Resource_Chksum     ; Update checksum for Serial ID
	INX				; Next byte
	BRA	?Next_PnP_Resource_Byte 
?exit:

	RTS		; Return for WR_PnP_EndUserMsg


WR_PnP_PackedVendorID:  ; Write ISA PnP Vendor ID to PnP device
	LDX	#0	; ISA PnP Vendor ID is in packed form
?Next_VendorID_Byte:
	LDA	Packed_PnP_Tbl,X	; load from table
        STA     PnP_Device              ; write to PnP unit             
	JSR	Update_SerialID_Chksum	; update Serial ID checksum
	ADD	PnP_Resource_Chksum	; update checksum for Serial ID
	STA	PnP_Resource_Chksum	; update checksum for Serial ID
	INX				; point to next byte in RAM
	CPX	#$04	                ; check if last vendor ID byte
	BCC	?Next_VendorID_Byte	; get next VendorID byte

	RTS             ; Return for WR_PnP_PackedVendorID
			


Update_SerialID_Chksum:	; Update Checksum for Serial Identifier

	PHA				; save accumulator
	STA	R2			; Save serial number digit
	LDY	#$08			; Initialize bit counter
?BitLoop:				; Calculate Serial ID checksum	
	LDA	PnP_SerialID_Chksum   	; Load default checksum into
					; LFSR (Linear Feedback Shift Register)
	AND	#$02			; Mask off bit 1 of LFSR
	LSR	A			; Shift result right by 1 bit
	EOR	PnP_SerialID_Chksum	; XOR bit 1 with bit 0
	LSR	PnP_SerialID_Chksum	; right shift LFSR
	EOR	R2			; XOR serial no. input bit0 with
					; (bit1 XOR bit0)
	AND	#$01			; mask off ((bit1 XOR bit0) XOR
					; serial input bit0)
	BEQ	?ZeroIn			; if '0' input, then done
	LDA	PnP_SerialID_Chksum	; if '1' input, then 
	ORA	#$80			; set bit7
	STA	PnP_SerialID_Chksum	; save LFSR state
?ZeroIn:
	LSR	R2			; shift serial no. input by 1 bit
	DEY				; decrement bit counter
	BNE	?BitLoop		; continue if less than 8 bits
	PLA     			; restore accumulator

        RTS  		; return for Update_SerialID_Chksum
				

WR_PnP_SerialNum:	; Write NVM stored serial number to PnP device
			; Write Serial Identifier Checksum to PnP device

	LDX 	#$00			; Initialize serial no. digit counter
?Read_NextByte:				; Loop out the digits          
	LDA	ASCII_SerialNum_Tbl,X 	
	STA	R2
	BBR	6,R2,?Good_LSN		; Branch if R2 = '0' - '9'
	ADD	#9              	; Since 'A' - 'F' add 9 :'A' = 0100 0001
?Good_LSN:                     		; Good Least Significan Nibble
	AND	#$0F			; Save lower 4 bits of digit
        INX				; Point to next digit
	ASL	A			; Left shift masked digit
	ASL	A			; by 4 bits
	ASL	A
	ASL	A
        STA	R6			; Save shifted digit
	LDA	ASCII_SerialNum_Tbl,X 	; get next char
	STA	R2                      ; temp. storage for bit detection
	BBR	6,R2,?Good_LSN_2 	; br if R2 = '0'-'9'
	ADD	#9              	; Since 'A' - 'F' add 9 :'A' = 0100 0001
?Good_LSN_2:				; 
	AND	#$0F			; Save lower 4 bits of digit
	INX				; Point to next digit	
	ORA	R6			; Generate a serial number byte
	PHA				; Save serial number byte
	CPX	#SerialNum_LENGTH	; If more digits,
	BCC	?Read_NextByte		; get next digit, else
;Write serial no. bytes to PnP
	LDX	#$00			; Initialize serial no. byte count
?Write_NextByte:			; Loop out the digits
	PLA                             ; Get serial no. byte
	STA	PnP_Device              ; Write byte to PnP
	JSR	Update_SerialID_Chksum	; Update Serial ID checksum
	INX                             ; Point to next byte
	CPX	#4	                ; 4 compressed serial number bytes
	BCC	?Write_NextByte		; Get next byte
	LDA	PnP_SerialID_Chksum	; save final serial ID checksum
	STA	PnP_Device		; and write to PnP			

	RTS 	       	; Return for WR_PnP_SerialNum


.ENDIF					
;<=======  ******End of ISA PnP Specific Section *********************



.IFNZ D39
;  Access Routines to the factory self-test routines BURN and CKSM.
; This module is linked at phys. address 100H logically at E100 so
; before jumping to the routines we must set BS7 to PROM_LOG_0_INT.

 GLOBAL BURN_ACCESS
 GLOBAL CKSM_ACCESS
 .EXTERN BURN,CKSM


BURN_ACCESS:
	STI	PROM_LOG_0_INT,BS7
	JMP	BURN			;Execute the factory burn-in
 
CKSM_ACCESS:
	STI	PROM_LOG_0_INT,BS7
	JMP	CKSM			;Execute the factory checksum

.ENDIF ;D39=1
 

	.END				; END OF THE UTILITY MODULE
