
	PUBLIC		CIS_ROM_TABLE


CIS_ROM_TABLE:
TUPLE_00:       ;Common Memory Device Information
        ;TUPLE Code:
        .DB     01H
        ;TUPLE Link:
        .DB     TUPLE_01-$-1
        ;TUPLE Data:  00 FF
        .DB     00H
        .DB     FFH                             ;TUPLE Terminator

TUPLE_01:       ;Level 1 Version/Product Information
        ;TUPLE Code:
        .DB     15H
        ;TUPLE Link:
        .DB     TUPLE_02-$-1
        ;TUPLE Data:
        .DB     05H,00H                         ;Version: 5.00
        .DB     'RI',1FH,'PICA',1FH,'B',00H     ;Manufacturer: RIPICAB
.IF (DPConfig=V34)
	.DB     'RC288ACL',00H                  ;Product: RC288ACL
.ELSE
   .IFDEF ACF
        .DB     'RC144ACF',00H                  ;Product: RC144ACF/ATF
   .ELSE
        .DB     'RC144ACL',00H                  ;Product: RC144ACL
   .ENDIF
.ENDIF
        .DB     '021',00H,'A',00H               ;Additional Info: 021 A
        .DB     FFH                             ;TUPLE Terminator

TUPLE_02:       ;Manufacturer Identification
        ;TUPLE Code:
        .DB     20H
        ;TUPLE Link:
        .DB     TUPLE_03-$-1
        ;TUPLE Data:  13 00 00 00
        .DB     13H,00H                         ;Manufacturer Code: 0013
        .DB     00H,00H                         ;Manufacturer Info: 0000

TUPLE_03:       ;Function Identification
        ;TUPLE Code:
        .DB     21H
        ;TUPLE Link:
        .DB     TUPLE_04-$-1
        ;TUPLE Data:
        .DB     02H                     ;Function ID: Serial Interface (02)
        .DB     00H                     ;POST Configure: No
                                        ;Expansion ROM: No

TUPLE_04:       ;Function Extension
        ;TUPLE Code:
        .DB     22H
        ;TUPLE Link:
        .DB     TUPLE_05-$-1
        ;TUPLE Data: 00 01 0F 5C
        .DB     00H                     ;Subfunction: Port Interface
        .DB     02H                     ;UART Type: 16C550
        .DB     0FH,5CH                 ;Parity: Space, Mark, Odd, Even
                                        ;Character Lengths: 7, 8
                                        ;Stop bits: 2, 1

TUPLE_05:       ;Function Extension
        ;TUPLE Code:    
        .DB	22H
        ;TUPLE Link:
        .DB     TUPLE_06-$-1
        ;TUPLE Data:    05 1F 0F 00 03 00 00 03 00
        .DB     05H     ;Subfunction:   Modem interface for data services
	.DB     1FH     ;Flow Control:
			;Tx XOn/XOff, Rx XOn/XOff, Tx H/W, Rx H/W, Transparent
        .DB     0FH     ;DCE Buffer:    64 bytes
.IFDEF	ACF
        .DB     00H,01H,00H     ;DCE-DTE Buffer: 256 bytes
        .DB     00H,01H,00H     ;DTE-DCE Buffer: 256 bytes   
.ELSE
        .DB     00H,03H,00H     ;DCE-DTE Buffer: 768 bytes
        .DB     00H,03H,00H     ;DTE-DCE Buffer: 768 bytes
.ENDIF

TUPLE_06:       ;FAX Function Extension
        ;TUPLE Code:
        .DB     22H
        ;TUPLE Link:
        .DB     TUPLE_07-$-1
        ;TUPLE Data:    06 1F 0F 00 30 00 00 30 00
        .DB     06H     ;Subfunction: Modem interface for FAX services
	.DB     1FH     ;Flow Control:
			;Tx XOn/XOff, Rx XOn/XOff, Tx H/W, Rx H/W, Transparent
        .DB     0FH     ;DCE Buffer: 64 bytes
.IFDEF	ACF
	.DB     D0H,01H,00H     ;DCE-DTE Buffer: 464 bytes
        .DB     D0H,01H,00H     ;DTE-DCE Buffer: 464 bytes
.ELSE
	.DB     CCH,04H,00H     ;DCE-DTE Buffer: 1228 bytes
        .DB     CCH,04H,00H     ;DTE-DCE Buffer: 1228 bytes
.ENDIF

TUPLE_07:       ;Voice Function Extension
        ;TUPLE Code:
        .DB     22H
        ;TUPLE Link:
        .DB     TUPLE_08-$-1
        ;TUPLE Data:    07 1F 0F 00 30 00 00 30 00
        .DB     07H     ;Subfunction: Modem interface for Voice services
	.DB     1FH     ;Flow Control:
			;Tx XOn/XOff, Rx XOn/XOff, Tx H/W, Rx H/W, Transparent
        .DB     0FH     ;DCE Buffer: 64 bytes
.IFDEF	ACF
	.DB     D0H,01H,00H     ;DCE-DTE Buffer: 464 bytes
        .DB     D0H,01H,00H     ;DTE-DCE Buffer: 464 bytes
.ELSE
	.DB     CCH,04H,00H     ;DCE-DTE Buffer: 1228 bytes
        .DB     CCH,04H,00H     ;DTE-DCE Buffer: 1228 bytes
.ENDIF

TUPLE_08:       ;Data Modem Function Extension 
        ;TUPLE Code:
        .DB     22H
        ;TUPLE Link:
        .DB     TUPLE_09-$-1
        ;TUPLE Data:    02 03 00 3F 0C 03 03 0F 07 00 01 B5 FF
        .DB     02H     ;Subfunction: Data modem capabilities
.IF (DPConfig=V34)
        .DB     06H,00H ;DTE to UART max Data Rate: 115,200 bits
        .DB     3FH,1CH ;Modulation:    Bell 103, V.21, V.23, V.22A&B,
                        	;Bell 212A, V.22bis, V.32, V.32bis, V34
.ELSE ;ACL
        .DB     03H,00H ;DTE to UART max Data Rate: 57,600 bits
        .DB     3FH,0CH ;Modulation:    Bell 103, V.21, V.23, V.22A&B,
                                        ;Bell 212A, V.22bis, V.32, V.32bis
.ENDIF
        .DB     03H     ;Error Correction: MNP 2-4, V.42/LAPM
        .DB     03H     ;Data Compression: V.42bis, MNP 5
        .DB     0FH     ;Commands Sets: AT1, AT2, AT3, MNP AT
        .DB     07H     ;Escapes: BREAK, +++, User Defined Character
        .DB     00H	;Data Encription
        .DB	01H 	;Miscellanous End User Feature Selection: Caller ID
        .DB     B5H     ;Country: US
        .DB     FFH     ;End Country Code list

TUPLE_09:       ;FAX Class 1 Function Extension
        ;TUPLE Code:
        .DB     22H
        ;TUPLE Link:
        .DB     TUPLE_10-$-1
        ;TUPLE Data:    13 03 00 1F 00 7A 00 B5 FF
        .DB     13H     ;Subfunction: FAX modem capabilities
                        ;EIA/TIA Service: Class 1
.IF (DPConfig=V34)
        .DB     06H,00H ;DTE to UART max Data Rate: 115,200 bits
.ELSE ;ACL
        .DB     03H,00H ;DTE to UART Max Data Rate: 57,600 bits
.ENDIF
        .DB     1FH     ;Modulation: V.21-C2, V.27ter, V.29, V.17, V33
        .DB     00H	;Data Encryption
        .DB	7AH,00H ;Document FAX features: BFT, Polling, Voice Request, ECM, T4
        .DB     B5H     ;Country: US
        .DB     FFH     ;End Country Code list

TUPLE_10:       ;FAX Class 2 Function Extension
.IFNDEF	ACF	;no Class 2 for the ACF
        ;TUPLE Code:
        .DB     22H
        ;TUPLE Link:
        .DB     TUPLE_11-$-1
        ;TUPLE Data:    23 03 00 1F 00 02 00 B5 FF
        .DB     23H     ;Subfunction: FAX modem capabilities
                        ;EIA/TIA Service: Class 2
.IF (DPConfig=V34)
        .DB     06H,00H ;DTE to UART max Data Rate: 115,200 bits
.ELSE ;ACL
        .DB     03H,00H ;DTE to UART Max Data Rate: 57,600 bits
.ENDIF
        .DB     1FH     ;Modulation: V.21-C2, V.27ter, V.29, V.17, V33
        .DB     00H	;Data Encryption
        .DB     32H,00H ;Polling, Voice Request, T4
        .DB     B5H     ;Country: US
        .DB     FFH     ;End Country Code list
.ENDIF

TUPLE_11:       ;Voice Function Extension
        ;TUPLE Code:
        .DB     22H
        ;TUPLE Link:
        .DB     TUPLE_12-$-1
        ;TUPLE Data:    84 06 00 0B 02 07 14 00 08 00 04 00 02 00 00 00
        .DB     84H     ;Subfunction: Voice capabilities
                        ;EIA/TIA Service: Class 8
        .DB     06H,00H ;DTE to UART max Data Rate: 115,200 bits

        .DB     0BH,02H,07H,14H     
        		;Sample Rate: 11.025KHz, 7.2 KHz
	.DB	00H	;End of Sample rates list
        .DB     08H,00H,04H,00H,02H,00H
        		;Sample Size: 8, 4, 2
	.DB	00H	;End of Sample Sizes list
        .DB     00H 	;Voice Compression Method

TUPLE_12:       ;Configuration
        ;TUPLE Code:
        .DB     1AH
        ;TUPLE Link:
        .DB     TUPLE_13-$-1
        ;TUPLE Data:    01 30 00 02 17
        .DB     01H     ;Size of Field 01
        .DB     30H     ;Last Index:    30h
        .DB     00H,02H ;Config Base:   0200h
        .DB     17H     ;Configuration Registers Present:
                        ;Configuration Option Register
                        ;Card Configuration and Status Register
                        ;Pin Replacement Register
                        ;I/O Event Register

TUPLE_13:       ;Configuration Table Entry
        ;TUPLE Code:
        .DB     1BH
        ;TUPLE Link:
        .DB     TUPLE_14-$-1
        ;TUPLE Data:    E0 41 9D 78 5D 1E 26 1D E7 5F AA 60 F8 03 07 30
                        ;BC 86 28
        .DB     E0H     ;Index: 20h
                        ;Default: Yes (provides default values for following entries)
        .DB     41H     ;Interface:     I/O (and memory)
                        ;BVDs Active:   No
                        ;WP Active:     No
                        ;RDY/BSY Active:        Yes
                        ;M Wait Req'd:  No
        .DB     9DH     ;Feature Selection Byte: Misc, IRQ, I/O, Timing, VCC
                        ;Power
        .DB     78H     ;Power Description Parameter Selection Byte
                        ;Vcc Power
;The power consumption values listed below represent the consumption of the Rockwell
;base components, like P39, Pump, plus 10% to represent the consumption of the rest
;of the components of the modem card. This 10% value depends on the customer's HW
;and needs to be adjusted for each specific card. 
.IF (DPConfig=V34)
        .DB     3DH     ;Static I:      30mA  + 10% ~ 35mA
        .DB     86H     ;Average I:     154mA + 10% ~ 170mA
	.DB	46H
        .DB     26H     ;Peak I:        200 mA
        .DB     4CH     ;Power Down I:  4mA   + 10% ~ 4.5mA
.ELSE
   .IFDEF	ACF
        .DB     3DH     ;Static I:      30mA  + 10% ~ 35mA
        .DB     F5H     ;Average I:     75mA  + 10% ~ 83mA
	.DB	1EH
        .DB     26H     ;Peak I:        200 mA
        .DB     54H     ;Power Down I:  4.2mA + 10% ~ 5mA
   .ELSE	;ACL
        .DB     3DH     ;Static I:      30mA  + 10% ~ 35mA
        .DB     0EH     ;Average I:     108mA + 10% ~ 120mA
        .DB     26H     ;Peak I:        200 mA
        .DB     54H     ;Power Down I:  4.2mA + 10% ~ 5mA
   .ENDIF
.ENDIF
                        ;Timing
        .DB     E7H     ;ConFiguration Timing Information
                        ;WAIT:  Not used - no maximum time specified
        .DB     5FH     ;RDY/BSY: 500 ms
                        ;Reserved: Not used - no reserved-speed bytes
                        ;I/O
        .DB     AAH     ;Card Decodes:  10 address lines - 1 Kbyte I/O space
                        ;I/O Access:    8-bit only
        .DB     60H     ;I/O Descriptor Length 1 byte Address 2 Bytes
        .DB     F8H,03H ;I/O Start Address 03F8H
        .DB     07H     ;8 Bytes
                        ;IRQ
        .DB     30H     ;Share: No
                        ;Pulse Mode:    No
                        ;Level Mode:    Yes
        .DB     BCH,86H ;IRQ Level(s):  2, 3, 4, 5, 7, 9, 10, 15
                        ;Miscellaneous
        .DB     28H     ;Card Supports Power Down Mode
                        ;Card Supports BVD2 as Audio
                        ;Card Does Not Support Twins

TUPLE_14:       ;Configuration Table Entry
        ;TUPLE Code:
        .DB     1BH
        ;TUPLE Link:
        .DB     TUPLE_15-$-1
        ;TUPLE Data:    21 08 AA 60 F8 02 07
        .DB     21H     ;Index: 21h
                        ;Default: No (uses default values from prior entries)
        .DB     08H     ;Feature Selection byte: I/O Only
                        ;I/O
        .DB     AAH     ;Card Decodes:  10 address lines - 1 Kbyte I/O space
                        ;I/O Access:    8-bit only
        .DB     60H     ;I/O Descriptor Length 1 byte Address 2 Bytes
        .DB     F8H,02H ;I/O Start Address 02F8H
        .DB     07H     ;8 Bytes

TUPLE_15:       ;Configuration Table Entry
        ;TUPLE Code:
        .DB     1BH
        ;TUPLE Link:
        .DB     TUPLE_16-$-1
        ;TUPLE Data:    22 08 AA 60 E8 03 07
        .DB     22H     ;Index: 22h
                        ;Default: No (uses default values from prior entries)
        .DB     08H     ;Feature Selection byte: I/O Only
                        ;I/O
        .DB     AAH     ;Card Decodes:  10 address lines - 1 Kbyte I/O space
                        ;I/O Access:    8-bit only
        .DB     60H     ;I/O Descriptor Length 1 byte Address 2 Bytes
        .DB     E8H,03H ;I/O Start Address 03E8H
        .DB     07H     ;8 Bytes

TUPLE_16:       ;Configuration Table Entry
        ;TUPLE Code:
        .DB     1BH
        ;TUPLE Link:
        .DB     TUPLE_17-$-1
        ;TUPLE Data:    23 08 AA 60 E8 02 07
        .DB     23H     ;Index: 23h
                        ;Default: No (uses default values from prior entries)
        .DB     08H     ;Feature Selection byte: I/O Only
                        ;I/O
        .DB     AAH     ;Card Decodes:  10 address lines - 1 Kbyte I/O space
                        ;I/O Access:    8-bit only
        .DB     60H     ;I/O Descriptor Length 1 byte Address 2 Bytes
        .DB     E8H,02H ;I/O Start Address 02E8H
        .DB     07H     ;8 Bytes

TUPLE_17:       ;Configuration Table Entry
        ;TUPLE Code:
        .DB     1BH
        ;TUPLE Link:
	.DB     TUPLES_END-$-1
	;TUPLE Data:    30 08 23
	.DB     30H     ;Index:  30h
                        ;Default: No (uses default values from prior entries)
        .DB     08H     ;Feature Selection byte: I/O Only
                        ;I/O
        .DB     23H     ;Card Decodes:  3 address lines - 8 byte I/O space
                        ;I/O Access:    8-bit only
                        ;I/O Range:
                        ;Determined by socket controller (up to 8 bytes)

TUPLES_END:	
	.DB	FFH

	.BLKB    512-($-TUPLE_00)
END_CIS_ROM_TABLE:
CIS_LENGTH:	.EQU	$-CIS_ROM_TABLE
